commit b29145be966f4c90ea6bc987383dc718863fdfcd
Merge: 525bc71 a7cbd28
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 23 18:44:04 2022 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit a7cbd28af2d8f28d7d18284c9a321860d3cb8e9f
Merge: 525bc71 9addd1d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Oct 23 18:43:26 2022 -0400

    Merge pull request #2 from nyxnor/master
    
    make bitcoind accept 127.0.0.1 and 0.0.0.0
    
    https://forums.whonix.org/t/bitcoin-core-onion-grater-profile/6216/9

commit 9addd1d6dd9671b18e5415a196b92d7f6ee5846c
Author: nyxnor <nyxnor@protonmail.com>
Date:   Sun Oct 2 20:50:30 2022 +0000

    make bitcoind accept 127.0.0.1 and 0.0.0.0

commit 525bc713ca3c6c3cca9d1b4784f6388d01515dab
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 1 10:29:33 2022 -0400

    bumped changelog version

commit 33bd1abd0d9e715f8fa6d9b8f35375246ac6f8e6
Merge: 7a64310 e9a73e9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 1 10:05:01 2022 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit e9a73e9e1800bb049ef3e708bfa0ba8e901dc80d
Merge: 7a64310 3831604
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Oct 1 10:04:13 2022 -0400

    Merge pull request #1 from nyxnor/master
    
    correct bitcond pattern for all default ports of the chains

commit 38316044dc73eab7519890514db44f044f479d69
Author: nyxnor <nyxnor@protonmail.com>
Date:   Fri Sep 30 09:47:43 2022 +0000

    correct bitcoind binding ports

commit 12477ae6da0c82bc79898184c086287a6512a8db
Author: nyxnor <nyxnor@protonmail.com>
Date:   Thu Sep 29 22:02:19 2022 +0000

    correct bitcond pattern for all default ports of the chains

commit 7a643104f28c19150e9ceb0cbe630b44f6a6b21e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 24 20:03:31 2022 -0400

    bumped changelog version

commit 86584992cb4e83873617a9471ac7b05c9e1a0981
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 24 19:52:05 2022 -0400

    fix systemd seccomp violation after suspend/resume
    
    by adding `SystemCallFilter` `select`
    
    Sep 25 01:06:57 host audit[841]: SECCOMP auid=4294967295 uid=106 gid=116 ses=4294967295 subj==/usr/lib/onion-grater (enforce) pid=841 comm="onion-grater" exe="/usr/bin/python3.9" sig=31 arch=c000003e syscall=23 compat=0 ip=0x792fb3bac2a3 code=0x80000000

commit 87ac26ac5626cf578044c5c1b550e626b6d81a3c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:59 2022 -0400

    bumped changelog version

commit ca5fed662400a980da66157c95fe155410aad0d6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:14 2022 -0400

    readme

commit 62d3a57f492ecb565545aca5456e6356a8e68c07
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:44 2022 -0400

    copyright

commit ab24745c8734a090045beedbb99393de74b2ad20
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:21 2022 -0400

    readme

commit 28887c10acd2aa57017bfbb3d3e8796809cce7ce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 16 18:35:09 2022 -0500

    bumped changelog version

commit 4b13181ac4743c9a969164b81bf840eb85325fb7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Feb 16 18:33:34 2022 -0500

    disable `ProcSubset=pid` due to onion-grater crash at startup
    
    > onion-grater[23859]: FileNotFoundError: [Errno 2] No such file or directory: '/proc/stat'

commit 63b46d3e22bc0e7a2665b38a4088ffd5c923dc78
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 6 15:13:34 2022 -0500

    bumped changelog version

commit e36db8f769230959ea07ce44ede333aef00a39e5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Jan 6 15:12:12 2022 -0500

    fix, prevent dh_compress from compressing the OnionShare onion-grater profile
    
    Thanks to @DaemonFuu for the bug report!
    
    https://forums.whonix.org/t/onion-grater-deb-package-contains-compressed-40-onionshare-yml/13154

commit b0995b76372ee2a23ddbeede85db8f57642f0b18
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jan 2 06:13:46 2022 -0500

    bumped changelog version

commit 63eb2f20b302dbdb902629d166c444bb4826d4df
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 16:14:48 2022 -0500

    towards OnionShare 2.4 support

commit 132ac995c750d6fd19e095bf1f2fc76f41985ee6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 15:14:49 2022 -0500

    towards OnionShare 2.4 support

commit 2d67dfddb301ed0589f368b47051cdd74e745c61
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 14:31:26 2022 -0500

    towards OnionShare 2.4 support

commit f8319d7eeadee7b70b1248a3843bc0a0ac97e2e6
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jan 1 14:27:35 2022 -0500

    comment

commit 8597e43de57af2d8ad3c5959f3c78ee9f51451b4
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:32 2021 -0500

    readme

commit 40fc2148483376c888bbb1bd71cf30a03cc42d68
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 1 05:42:01 2021 -0400

    bumped changelog version

commit a4b6a07bf30e0804416d214fe1d1bfac7a234b5b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Mon Nov 1 05:35:26 2021 -0400

    apparmor

commit 44f131b229c302400d4fcb271e15bc4ddfdecf7c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:52:04 2021 -0400

    bumped changelog version

commit 3d0aeb9c9ad9b6f72e1283bcf19ba3e068b03d93
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:37 2021 -0400

    readme

commit 0b11c0a209b5a30462d92ed07d48dcc8868d46a5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 19:27:19 2021 -0400

    bumped changelog version

commit 8c0ec982c05edb19975bddd1679645b4c4b3ed31
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Aug 6 19:27:01 2021 -0400

    bullseye

commit fdacffff6c72d14f1c93572ae699a47b0695f893
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 16:58:00 2021 -0400

    bumped changelog version

commit a791d75d721c73787e03abd76cf7dd4225569cc9
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Aug 4 15:06:25 2021 -0400

    `lintian --suppress-tags executable-in-usr-lib`
    
     Keep fork delta small.

commit e8f9bec799916de887968d0083d8e10e1d98b1ba
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:54 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit 89d94512b51848177c9633542727d79e144f73d7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:23 2021 -0400

    bullseye

commit 3fbeee1ec14e1e62a40f113ba38969f8cf0824cb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:35 2021 -0400

    readme

commit 84921294fc782e38b1637a2bbc7f5ab01ef91610
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 23 06:51:15 2021 -0400

    bumped changelog version

commit 5655e2f3bf4cffc5f6c2336a542d0c9ea5ca952b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Jul 23 06:44:31 2021 -0400

    upgrade to newer onion-grater version by Tails
    
    Files: usr/lib/onion-grater
    Copyright: (C) Amnesia <amnesia at boum dot org>
    Comment:
     https://gitlab.tails.boum.org/tails/tails/-/blob/master/config/chroot_local-includes/usr/local/lib/onion-grater
     https://gitlab.tails.boum.org/tails/tails/-/blob/a20ff5c40ac61ff5658839393cb4f790e704d4fd/config/chroot_local-includes/usr/local/lib/onion-grater
    License: GPL-3+

commit a3854d1f9bc96bd0c3e50cf8f7530c51d1667013
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 07:34:15 2021 -0400

    bumped changelog version

commit 82b9f245d3d0607ed3f7fcb8ee889c823e919c0a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 05:33:33 2021 -0400

    comment

commit 223693380cf1eecacd73f70dc9b8ad57216a82a3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 14:23:59 2021 -0400

    bumped changelog version

commit 25584cf8312ab7a3c763d4184d8272476ed832fa
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 14:23:38 2021 -0400

    copying

commit d96789bf897dbb6fb438ad7f0668c4bac7b368af
Merge: c7df1a7 c91a6c3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 14:06:17 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit c91a6c3347aca6979abb8b0485c3c37dedd2861b
Merge: c7df1a7 97b8feb
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 26 14:05:17 2021 -0400

    Merge pull request #11 from JeremyRand/wahay
    
    Add Wahay profile

commit 97b8feb8dcc739eb4ffd67528fa12c6ff425384b
Author: Jeremy Rand <jeremyrand@airmail.cc>
Date:   Wed May 26 15:30:31 2021 +0000

    Add Wahay profile

commit c7df1a75059603d3346608101994ef457984fdce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 15 07:10:06 2021 -0400

    bumped changelog version

commit ee4e40f54cedf0553a3dafa215eb83a4b758c370
Merge: d2486f1 7c4ae28
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 15 07:06:23 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 7c4ae28dd5a6496f33b24ad5e32506e0c1666644
Merge: d2486f1 4651809
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat May 15 07:05:45 2021 -0400

    Merge pull request #10 from GavinPacini/patch-1
    
    Add SystemCallFilter changes for arm64

commit 465180909f97a2853eaa0192c024af0a979bb080
Author: Gavin Pacini <GavinPacini@users.noreply.github.com>
Date:   Fri May 14 19:01:41 2021 +0200

    Add changes for arm64

commit d2486f165b11b5a63b56bc5e64e8cab3faa9dacd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:53:54 2021 -0400

    bumped changelog version

commit 446a79ec064d73db2125860b276261e8b8bc353c
Merge: 23bc6db c592232
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:52:44 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit c592232e27db2c87edf53eea9d00d6c23d7058c0
Merge: 23bc6db 1fd8701
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 13:50:31 2021 -0400

    Merge pull request #9 from madaidan/sandboxing
    
    Improve systemd sandboxing

commit 1fd8701dd6197b3325b83ad03bfd9ecedbcbdee6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 19 15:58:12 2021 +0000

    Improve systemd sandboxing

commit 23bc6dbab4a910ef22622d7a9beaa41e2cd22468
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:19:56 2021 -0400

    bumped changelog version

commit 49c749f1a47b234f3dc40b00879c3d1705c23940
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:19:55 2021 -0400

    readme

commit 3c062681937da451cabc2096bcd317cda5553b90
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 10:19:22 2021 -0400

    apparmor

commit 59c83cc1c2a91aa942096c31266aaf91fb85c912
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:18 2021 -0400

    copyright

commit 30e5ada4425bef220a401a3c99c1e16a84c4b0e8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 3 06:20:40 2021 -0500

    bumped changelog version

commit 164bdb3ef559d9dca6cf86767f7cbcb87267cf8f
Merge: f5997bd a176ee5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 2 02:21:18 2021 -0500

    Merge remote-tracking branch 'github/master'

commit a176ee546b3dd64d98d67038f3dc333dbe173ecf
Merge: f5997bd 9539d88
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 2 07:20:36 2021 +0000

    Merge pull request #8 from qubenix/simplify-bitcoind
    
    Simplify 40_bitcoind.yml

commit 9539d88c7e0b8336b74586d8c93821cad946fc90
Author: qubenix <qubenix@users.noreply.github.com>
Date:   Fri Jan 1 15:32:25 2021 +0000

    simplify 40_bitcoind.yml

commit f5997bd88b2a674e7b47c88c41b92f9cdd72eb1f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 07:59:09 2020 -0500

    bumped changelog version

commit fcce4083e5210c897d1b80fdfcb37f7afefde122
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 07:59:08 2020 -0500

    readme

commit 64aa150da2199503b7f8a7514a6f0aef050289c2
Merge: 07078f8 834e851
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 01:28:39 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 834e851b1f10bbc6bab3b960d7ba218795127718
Merge: 07078f8 f72b601
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 20 06:28:01 2020 +0000

    Merge pull request #7 from qubenix/update-bitcoind
    
    update 40_bitcoind.yml to work with bitcoind v0.21

commit f72b60124841b29440eaa46d1233bb0c11e411f6
Author: qubenix <qubenix@users.noreply.github.com>
Date:   Sat Dec 19 16:22:36 2020 +0000

    update 40_bitcoind.yml to work with bitcoind v0.21

commit 07078f8d31cc17f04f9cc780c0c0ee01868b930a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 12:16:31 2020 -0400

    bumped changelog version

commit 2c9c95760692e3b5af55d198fe14ef7fdee6bc03
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 11:13:49 2020 -0400

    RestartSec=60

commit a5e4983296960fb051cee4988efd952ae19df920
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 11:12:07 2020 -0400

    comment

commit 0951014b64bf2899a108b639df8637af2153b65f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 09:43:00 2020 -0400

    bumped changelog version

commit 50fdf8d432393f7158a890ad6c8f22cb0a83f411
Merge: 904b9bb 12bcbad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 09:22:45 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 12bcbad269a2e134ad9295f8eee5c62904f790a5
Merge: 904b9bb 485030d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 3 13:21:41 2020 +0000

    Merge pull request #6 from JeremyRand/seccomp-ppc64le
    
    Fix seccomp filter for ppc64le

commit 485030dfac0f76eca8743d6e293c89cf2a0255ac
Author: Jeremy Rand <jeremyrand@airmail.cc>
Date:   Sun Aug 2 18:42:34 2020 +0000

    Fix seccomp filter for ppc64le
    
    On ppc64le, _llseek and send are used as soon as onion-grater launches;
    recv is used when Ricochet tries to connect.

commit 904b9bb4cdab94e0a9b64cf6ec25d253ccf507cd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 6 08:31:20 2020 -0400

    bumped changelog version

commit 692dcf0d385f832cbd9efc0760c73896feffb7b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 13:37:00 2020 -0400

    comments

commit 2ddf8bf65f15517bedd7e9a553d1edfeb9275911
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 09:37:09 2020 -0400

    bumped changelog version

commit fb651a3297712627ef8b0ba7ea279b835bf38542
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jun 5 09:34:50 2020 -0400

    provide opt-in control protocol onion authentication example
    onion-grater profile drop-in configuration snippet
    
    Thanks to @rustybird for the suggestion!
    
    https://phabricator.whonix.org/T996

commit 27bec811cb0957d9fd79c6ead5650e3354ceea04
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 4 11:55:08 2020 -0400

    bumped changelog version

commit c3bde5e2b4c84ceca327d7ace0fdb18943405655
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 4 09:00:50 2020 -0400

    comment

commit 3859b8ff61c6228b10e70c12a9e46ff1aa84a71f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 13:53:49 2020 -0400

    bumped changelog version

commit ec2929c7fddbc654bc7f51d4fcc188ab8fdc4b8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 27 12:34:38 2020 -0400

    resolv.conf

commit d042676521f55e93683f0f105ba1b9225ee917d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:38:40 2020 -0400

    bumped changelog version

commit 50ffbd9620cbbd96642b2d5cc31da284d493346f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:34 2020 -0400

    readme

commit 6cca1bc96fc79965f63ce862b108cc6177451509
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 14:31:53 2020 -0400

    bumped changelog version

commit ca6d703feec9d52c12279830e01146061686038d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 14:29:49 2020 -0400

    apparmor fix

commit a059217b1cff4b5f2560ddb65ee3540af838a914
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:27:44 2020 -0400

    bumped changelog version

commit 5a505d4cfeb22e1c0634c8967b7f0e04336949ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:11:00 2020 -0400

    apparmor packaging fixes

commit c5ddec329e24c201181a417807856c0aa464164e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:53:54 2020 -0400

    bumped changelog version

commit a35d9d34d818604dd229f357670faadc28f9cf43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 07:22:40 2020 -0400

    readme

commit 10d07ee43ae25cb2cdc16dba98910342076a510d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:57:31 2020 -0400

    remove genmkfile

commit 3b5a3dd03a1ab886769efbfe95545deafe183a1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:32:57 2020 -0400

    add debian install file

commit d51279ebea01e5d4c23329dcd385d14642129535
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 10:51:36 2020 -0400

    bumped changelog version

commit ebb293ab0c24c72b60cb1a16f23fb1766cb4df17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 08:49:57 2020 -0400

    update copyright year

commit ea3a9c5ba07bb79fe396704ebfb618983c80127b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:34:37 2020 -0400

    bumped changelog version

commit 1c1fb7083f091013b2a10064b7e35b0926ad5a73
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 07:29:55 2020 -0400

    fix adduser home

commit ca0fe4bc85c436e1877e7dd43e645c5d63e66701
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 10:06:02 2019 -0500

    bumped changelog version

commit 15064822fe2b0b1667c711076b6d143cb9c629ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 10:03:58 2019 -0500

    .

commit 21dc4722a76d96dfd44cdbf0d652037c64b0e1a0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 28 09:57:08 2019 -0500

    bumped changelog version

commit 0191b788ab72910ff55a22094ce6b98c33708eae
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 25 14:28:04 2019 +0000

    move /etc/onion-grater-merger.d/30_whonix.yml to anon-gw-anonymizer-config

commit 2711bdde4d8530e4184d8a412b1905164c4bd7e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 14 10:20:27 2019 +0000

    bumped changelog version

commit 270a79b8e8acb9d4626e765a870a9586911657ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 8 07:19:30 2019 -0400

    code documentation

commit 48cfcb5f9c04881d0c5f619babbb0d81417e72d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 17 14:16:15 2019 +0000

    bumped changelog version

commit 32133ceedb5228bcc550a8a5023bb56b2e576f1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 17 07:24:30 2019 +0000

    fix, also run original dh_install from override_dh_install

commit 93a0868966828d682852cb57cda3c3c36aa57966
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 9 08:09:37 2019 +0000

    bumped changelog version

commit 3539734cb5cc7ea0ba6d2847abb4b33998cb375c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 9 08:05:32 2019 +0000

    add syscalls mkdir fchownat

commit 86183485b9044a0ea0de056f9d9856308e3ff667
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 17:54:22 2019 +0000

    bumped changelog version

commit 48a8e5932af92cbe698c3edf9d33557af6edf39d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 13:49:00 2019 -0400

    add syscalls dup2 wait4

commit fa67da8266eebaf85e7f77738eeea0905d23863f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 16:41:21 2019 +0000

    bumped changelog version

commit 25afac19cf0ab9e6eef512f9b497d1f92b1cccf6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 6 12:35:45 2019 -0400

    add pipe2 syscall
    
    required during package upgrades
    
    Aug 06 16:21:29 host audit[9062]: SECCOMP auid=4294967295 uid=107 gid=114 ses=4294967295 subj==/usr/lib/onion-grater (enforce) pid=9062 comm="onion-grater" exe="/usr/bin/python3.7" sig=31 arch=c000003e syscall=293 compat=0 ip=0x792a95cf4c87 code=0x0

commit 3cf8e0134677896b3ae9dcfd29264d1bf3038e8e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:57:13 2019 +0000

    bumped changelog version

commit ecfc69678aebf1bb4bb0ea9b56f3f3a821a4ba7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Aug 1 11:13:40 2019 +0000

    readme

commit 75fcee33d6496a49f4cd368fcfc8383b4f57f7c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 07:41:35 2019 +0000

    bumped changelog version

commit 5cc757b60f57b3c59abe426233a50079008eba56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 31 03:08:30 2019 -0400

    /var/run -> /run

commit 83db6563c0b70bde1c9b3bc32f0b83838917adbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 19:13:24 2019 +0000

    bumped changelog version

commit afb51daef5890145133836ef6bc689cac44084d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 17 14:16:36 2019 -0400

    add missing syscalls

commit 68fa6a617be4ba8f06d092b506931d6e9982129d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 11 07:16:04 2019 +0000

    bumped changelog version

commit 630e6bd0a2423cdf6a430439b538d88cac9da155
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 8 19:47:44 2019 +0000

    remove unneeded syscalls
    
    https://phabricator.whonix.org/T631#18726

commit 4dc39f80b922d28155c155ffc5d99dde73774038
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 7 22:59:48 2019 +0000

    bumped changelog version

commit 0f37e67ea10fa63816b5641a59c72dba6c4063a1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 7 22:58:31 2019 +0000

    ProtectSystem=strict
    
    now that onion-grater-merger (offline tool) was removed from seccomp

commit 183b1d0881be2ec601b25564b5ce08300165350c
Merge: de48535 14729e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 7 22:35:41 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit 14729e0b4ece547e8f5a4e2403c23b75c313a11c
Merge: de48535 5bb48ab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jul 7 22:35:17 2019 +0000

    Merge pull request #4 from madaidan/patch-2
    
    More systemd hardening

commit 5bb48ab8ef78ab73c77eeebaf36a59146f1b194c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jul 6 14:48:48 2019 +0000

    More systemd hardening

commit de48535e43af9ebc0c7e6c698ee93426b1cdb764
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jul 6 13:52:38 2019 +0000

    bumped changelog version

commit 8480cff304ea019b25dc49d91672e7c3f8599a07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jul 4 01:57:59 2019 -0400

    ProtectSystem=full
    ReadWriteDirectories=/etc/onion-grater.d/
    
    https://phabricator.whonix.org/T631

commit a4d5d9753ec303fa2d95d3dd53e77d7a726a3175
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 15:23:15 2019 +0000

    bumped changelog version

commit de336a6eff5d26f56677c45ed966f49dac885e79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 09:23:27 2019 +0000

    support OnionShare "bundled Tor" configuration

commit df49bbe15ef0a0589eb83a9a16592644a31b955f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 08:06:18 2019 +0000

    incomplete fix systemd hardening
    
    https://phabricator.whonix.org/T631

commit fce2c8e67b7aea176b16dbcab9f16a23bbd886de
Merge: 457d50a 9cba968
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 08:02:50 2019 +0000

    Merge remote-tracking branch 'origin/master'

commit 9cba968e56869b91d0d134ba71da860bde5b9e9d
Merge: 457d50a 078ab61
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jul 1 08:02:15 2019 +0000

    Merge pull request #3 from madaidan/patch-1
    
    systemd hardening

commit 457d50a5c744fac6687e77fe7bf8c88ca3fa1f4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 19:56:03 2019 +0000

    bumped changelog version

commit ab5315f8509a1559a6e6c3dcf10fdede998d5094
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 17:43:49 2019 +0000

    typo

commit 57002dc1c0339a831fec8ad7a156cd27030a521e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 17:43:23 2019 +0000

    copyright

commit a3c6b226df27473272ae7fbe9cb55d1a9589a9bf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jun 23 17:39:28 2019 +0000

    copyright

commit 078ab6185b66a66278b760e65b1dc58243de1ad1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jun 23 14:28:42 2019 +0000

    Allow openat syscall

commit b6f00bccb36d7f1b080665d4ef1367c7d2cb54cc
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jun 23 14:07:31 2019 +0000

    Allow readwrite access to other directory

commit aecc6035490fb3b6cd5f1bb768e892344e12dff8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 22 14:27:59 2019 +0000

    Add back capability whitelist

commit f0312d95bc721580088a10c4230ab10ff97f30f9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Jun 22 14:22:13 2019 +0000

    Fix systemd hardening

commit 4d6a6100af9b5e174ac8a1219622feb744a2553d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 15:41:51 2019 +0000

    bumped changelog version

commit 4de3d24a819e49595c3ee450cc9b21be8d1a26b2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jun 10 15:24:55 2019 +0000

    apparmor fix
    
    Jun 10 15:21:38 host audit[23634]: AVC apparmor="DENIED" operation="mkdir" profile="/usr/lib/onion-grater" name="/usr/lib/python3/dist-packages/sdnotify/__pycache__/" pid=23634 comm="onion-grater" requested_mask="c" denied_mask="c" fsuid=113 ouid=113
    
      /usr/lib/python3/dist-packages/sdnotify/__pycache__/ rwk,
      /usr/lib/python3/dist-packages/sdnotify/__pycache__/** rwk,

commit 173575ce3897c5b1832ea27f82fd5bc5466ad41d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 11:27:02 2019 +0000

    bumped changelog version

commit 38784210a2ace882882de372e48647fc70c5f7fe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jun 8 00:05:34 2019 -0400

    fix debian/watch lintian warning debian-watch-contains-dh_make-template

commit 4b239eebb679ae1612f00f6a0b43af3774923852
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 20:44:49 2019 +0000

    bumped changelog version

commit 4d1f755b9c213f4b142b06111397aaecdfee035f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 24 12:29:06 2019 -0400

    readme

commit f01a889cb97a6afb86044407e307fc819aae7f7e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 10:59:27 2019 +0000

    bumped changelog version

commit c07e81df3a1b986f69049f5d31fd9b5276fc3ff2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 13 10:27:40 2019 +0000

    fix

commit 9cfb77ff9d90cc467b331c7716026e4d3b15a993
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 10:44:36 2019 +0000

    bumped changelog version

commit b196db6ef6309c7ca702eb7b42e265fb8ba7640f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 03:10:11 2019 -0400

    minor

commit 428d879e8429636ff927a7ed45004424ba0aa8a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 03:05:35 2019 -0400

    minor

commit be3e7c406c891dde42e950d558cfdd9322f66864
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:58:44 2019 -0400

    update path to pre.bsh

commit 53619997886f0369d681508a5e792f960074b729
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 12 02:50:15 2019 -0400

    anon-shared-helper-scripts -> helper-scripts

commit be80c4eacae3720c17759e246db6563d49a65372
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 7 21:30:38 2019 +0000

    bumped changelog version

commit 3cd41fd943df3eb4f015bda07e65282a94149ece
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue May 7 20:41:46 2019 +0000

    fix bisq profile

commit 1e62cf7dcaa41b3a908b744b3645a807dee5c3a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 6 09:58:10 2019 +0000

    bumped changelog version

commit afdff5bb4d79af1d733b9d5d77ec91c2306ff542
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 6 05:16:32 2019 -0400

    try fix https://github.com/HelloZeroNet/ZeroNet/pull/484#issuecomment-489466198

commit e994509adfb03da868157279398a8a790faf2329
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 5 18:26:53 2019 -0400

    try fix https://github.com/HelloZeroNet/ZeroNet/pull/484#issuecomment-489466198

commit 9241e10348564e4f9600cf8d0700681d1972bbe6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 11:29:06 2019 +0000

    bumped changelog version

commit dd00d66433504dbde523729feac4fc3e8ba5802c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 3 10:56:54 2019 +0000

    update

commit ca6802c648db4d2023fcbce2fbad3161259723cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 25 20:45:35 2019 +0000

    bumped changelog version

commit 593cf3f2e314fea0ec9a946716f9648dcb6ef28b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 25 15:44:15 2019 -0400

    experimental bisq profile

commit 8280f4cfcbdbfe87f7f48937b33a28692c3bf723
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 13 08:58:24 2019 +0000

    bumped changelog version

commit 717b1943597bdf6f0e07c6bb1b93ed972f220bde
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 12 19:49:09 2019 +0000

    Qubes debian buster apparmor fixes

commit cf5acb3f5f577fb9892405e82a3a1e96bf66b1c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 16:22:46 2019 -0400

    bumped changelog version

commit a6121d1e71fa07d1ba4431124190f8a57b485e35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 10 15:13:01 2019 -0400

    port to buster

commit 2cf80b2bf611a2d2cc0c85c7e8e8a855566bb1cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 8 13:03:51 2019 +0000

    bumped changelog version

commit 01e05678478380ce7595565a70876cecbc82edb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 7 13:02:12 2019 -0400

    revert systemd hardening because incompatible with onion-grater-merger

commit 520237ff8d40d7e742741b146b43cc321a39d0bb
Merge: 59ddaaa 766b0df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 7 12:46:46 2019 -0400

    Merge remote-tracking branch 'origin/master'

commit 766b0df771526709ec2ae7302b68d5c20f6e43ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 7 02:00:25 2019 -0400

    import hardening from Tails
    
    https://git-tails.immerda.ch/tails/plain/config/chroot_local-includes/lib/systemd/system/onion-grater.service

commit 59ddaaa5a8e95daa90869462be1f58f3a706cf2e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 6 12:08:28 2019 +0000

    bumped changelog version

commit 5873643eee8e04e0a71d8d731649f11c14e8dc55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 08:26:27 2019 -0400

    fix lintian warning package-does-not-install-examples

commit 9b42fc3d4358afaf12dc17872a1c55c6c33d7e1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:55:51 2019 -0400

    port to debian buster

commit b6e531a6ffa8e3ec024674962993a735e7d21abe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 4 05:51:05 2019 -0400

    port to debian buster

commit 97753afc48b4c9858548ae4ddb6bf0a4aeb230ee
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 3 18:05:54 2019 -0400

    readme

commit e8ea7a08c7708dfbaaffb7ff5f2f8725e4cd1194
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:57:36 2019 +0000

    bumped changelog version

commit f632961d62332591493af6b650e712143b5fd6d4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 29 09:03:17 2019 +0000

    https://www.whonix.org/wiki/Dev/Licensing

commit fc0722d91314787e586dd51c3d87ffc7640ec1e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 12 11:31:01 2019 +0000

    bumped changelog version

commit 0704185178d0e945be53269e5217304e25d0db45
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 5 13:23:02 2019 +0000

    lintian

commit 63232d00e8be917ddab9cddf85da29eebc075eca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 1 14:32:40 2019 +0000

    add improved legal protections clauses
    
    The license for software created by Whonix is the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version with additional terms applicable per GNU GPL version 3 section 7.
    
    The additional terms are based on the Doom 3 license which is Debian refers to as `GPL-3+-with-id-software-additional-terms`, which is Debian DFSG [1] (The Debian Free Software Guidelines) approved and which is therefore suitable for Debian `main`. Whonix made applied minimal changes to it:
    
    * Rewrite `The Doom 3 BFG Edition GPL Source Code` to the more common `this program` which is used throughout the GPL.
    * Added a "trump clause" [2], in other words, any conflicts or disputes between the additional terms and the GPLv3 shall be resolved in favor of the GPLv3 by adding `Notwithstanding any other provision of this License` (as mentioned in GPL FAQ [3]) at the beginning of the additional terms.
    
    [1] https://www.debian.org/social_contract#guidelines
    [2] https://www.fsf.org/news/canonical-updated-licensing-terms
    [3] https://www.gnu.org/licenses/gpl-faq.html#v3Notwithstanding
    
    For more considerations, see also:
    https://www.whonix.org/wiki/Dev/Licensing

commit 7e352284724fc46fbaf355dfc09f2501ba983ab8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 6 08:06:58 2018 +0000

    bumped changelog version

commit 600a9eabfc3f62e32db7fa99ac9f77c753e04b62
Merge: d9237e7 3882f3d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 30 06:45:39 2018 -0500

    Merge remote-tracking branch 'origin/master'

commit 3882f3dce0dc666cb0a8c5f1ace12862873c5887
Merge: d9237e7 06fe5eb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 30 06:44:46 2018 -0500

    Merge pull request #2 from qubenix/fix-bitcoind-profile
    
    remove unnecessary lines from bitcoind profile

commit 06fe5eb35ee2e795eb8b742a344633a97513bab1
Author: qubenix <qubenix@users.noreply.github.com>
Date:   Thu Nov 29 23:19:00 2018 +0000

    remove unnecessary lines from bitcoind profile

commit d9237e796fa3bd23b25909085df65c616bcc21ff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 09:44:11 2018 +0000

    bumped changelog version

commit ec6ad51eeddf04f16f4f9eb0aa1925aaf46ebeff
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 16 09:39:47 2018 +0000

    apparmor fixes

commit a59346d0a3509e5bf3e0227ebc9f42ac6cdba499
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 1 07:40:58 2018 +0000

    bumped changelog version

commit c15e48a3aa0262a7eceac857b14955c474cf6c79
Merge: b1b8c80 bce65b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 29 16:08:15 2018 -0400

    Merge remote-tracking branch 'origin/master'

commit bce65b8cc797e478f9c11f438abe4ac7c69dd163
Merge: b1b8c80 70b8c4e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 29 16:06:41 2018 -0400

    Merge pull request #1 from qubenix/master
    
    add bitcoind onion-grater profile

commit 70b8c4ebbeb5f113e5c4c8bc379cff2babc76604
Author: qubenix <qubenix@users.noreply.github.com>
Date:   Sun Oct 28 21:18:53 2018 +0000

    add bitcoind onion-grater profile

commit b1b8c809123235da14749834aef14772d9a73cdc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 16 10:17:35 2018 +0000

    bumped changelog version

commit 70e735dae1c15920c356b07fc6aaf4b9589b465a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 15 13:55:33 2018 -0400

    fix Tor control auth cookie authentication even if HashedControlPassword is set
    
    fix custom auth cookie authentication path
    
    Previously the following line in Tor config...
    
    ```
    HashedControlPassword
    16:88A1B9F6EBD74C6960E1E60CC725B6C94A990C65223358EFF0DF41E8BA
    ```
    
    Was leading the the following error:
    
    ```
    Sep 13 22:02:08 host onion-grater[10460]: Exception happened during
    processing of request from ('10.137.0.45', 48828)
    Sep 13 22:02:08 host onion-grater[10460]: Traceback (most recent call last):
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/python3.5/socketserver.py", line 625, in process_request_thread
    Sep 13 22:02:08 host onion-grater[10460]:
    self.finish_request(request, client_address)
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/python3.5/socketserver.py", line 354, in finish_request
    Sep 13 22:02:08 host onion-grater[10460]:
    self.RequestHandlerClass(request, client_address, self)
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/python3.5/socketserver.py", line 681, in __init__
    Sep 13 22:02:08 host onion-grater[10460]:     self.handle()
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/onion-grater", line 651, in handle
    Sep 13 22:02:08 host onion-grater[10460]:     self.controller =
    self.connect_to_real_control_port()
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/onion-grater", line 592, in connect_to_real_control_port
    Sep 13 22:02:08 host onion-grater[10460]:
    controller.authenticate(cookie)
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/python3/dist-packages/stem/control.py", line 1071, in authenticate
    Sep 13 22:02:08 host onion-grater[10460]:
    stem.connection.authenticate(self, *args, **kwargs)
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/python3/dist-packages/stem/connection.py", line 575, in
    authenticate
    Sep 13 22:02:08 host onion-grater[10460]:
    authenticate_password(controller, password, False)
    Sep 13 22:02:08 host onion-grater[10460]:   File
    "/usr/lib/python3/dist-packages/stem/connection.py", line 711, in
    authenticate_password
    Sep 13 22:02:08 host onion-grater[10460]:     password =
    password.replace('"', '\\"')
    Sep 13 22:02:08 host onion-grater[10460]: TypeError: a bytes-like object
    is required, not 'str'
    ```
    
    ```
    ls -la /var/run/tor/
    ```
    ```
    total 148
    drwxr-sr-x  2 debian-tor debian-tor    140 Sep 13 22:15 .
    drwxr-xr-x 28 root       root          760 Sep 13 22:00 ..
    srw-rw----  1 debian-tor debian-tor      0 Sep 13 22:15 control
    -rw-r-----  1 debian-tor debian-tor     32 Sep 13 22:15 control.authcookie
    -rw-r-----  1 debian-tor debian-tor 143123 Sep 13 22:15 log
    srw-rw-rw-  1 debian-tor debian-tor      0 Sep 13 22:15 socks
    -rw-r--r--  1 debian-tor debian-tor      6 Sep 13 22:15 tor.pid
    ```
    ```
    DataDirectory /var/lib/tor
    PidFile /var/run/tor/tor.pid
    RunAsDaemon 1
    User debian-tor
    
    ControlSocket /var/run/tor/control GroupWritable RelaxDirModeCheck
    ControlSocketsGroupWritable 1
    SocksPort unix:/var/run/tor/socks WorldWritable
    SocksPort 9050
    
    CookieAuthentication 1
    CookieAuthFileGroupReadable 1
    CookieAuthFile /var/run/tor/control.authcookie
    
    Log notice file /var/log/tor/log
    ```
    
    The HashedControlPassword confused python-stem even
    though cookie authentication was functional without that HashedControlPassword.
    
    There is no need to manually read Tor authentication cookie file.
    
            with open(global_args.control_cookie_path, "rb") as f:
                cookie = f.read()
    
    python-stem can do that for us.
    
    Line
    
    ```
    controller.authenticate(cookie)
    ```
    
    was wrong. `controller.authenticate` does not take
    
    Syntax from manual:
    
    https://stem.torproject.org/api/connection.html#stem.connection.authenticate
    
    ```
    stem.connection.authenticate(controller, password=None, chroot_path=None, protocolinfo_response=None)
    ```

commit e5cb9bcc6f35775882633f6fcaf19b6d1f689814
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 27 16:43:20 2018 +0000

    bumped changelog version

commit cddac893436e388e9f4bbdc4920a7c156a1f6f14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 21 05:18:34 2018 +0800

    readme

commit 46fa91d907198abc9ae3dda6eda7abf78eb297f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Aug 17 19:08:08 2018 +0000

    bumped changelog version

commit 7282c489de25df8f42c7bcf1d971d40524cfcd18
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 15 19:06:09 2018 +0800

    remove duplicate "ConditionPathExists=!/var/run/qubes/this-is-templatevm"

commit 362407b261f2f987222f67efffc568f202189617
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 26 22:26:48 2018 +0000

    bumped changelog version

commit b7d7b7b804a214b23b37eb0a4f795d9fb85da326
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 26 21:32:56 2018 +0000

    rm_conffile /etc/X11/Xsession.d/20controlportfilt

commit f4130d4fd28a2711ac240f8a706a8981cb36e80a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 25 23:04:27 2018 +0000

    bumped changelog version

commit e33f1f3d11013f7df4c3079e603773eca590221a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 25 23:03:24 2018 +0000

    fix onionshare 1.2 stealth services

commit d8124fa4b1d607590e6726f33e0df888c6afc86b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 25 22:38:05 2018 +0000

    bumped changelog version

commit 7ec2e8d5dfcba2984d6daf5ca90446aaaf1bdfe2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Feb 25 23:23:33 2018 +0100

    fix for onionshare 1.2
    
    Thanks to @troubadour for the fix!
    
    https://forums.whonix.org/t/feature-request-onionshare-support

commit c50ad941f5f82c24eb35ddea54ee70e81632c98c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 1 15:10:03 2018 +0000

    bumped changelog version

commit af3b702258e0465c97cd5bc7860def93a3c97dfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:50:31 2018 +0000

    readme

commit 9e82f58c43afbb6afcd8e1000187bd335f6baeda
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:38:53 2018 +0000

    update copyright

commit 955066b40ad73b3bcc4dd9a1d694432cbc8fd70f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:22:01 2018 +0000

    update copyright

commit ddf193f1e98049285bad0edfc11a906f793bc46d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 29 15:09:38 2018 +0000

    update copyright

commit 67ad8c220c117e00a3247d69c42ff431db673c27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 27 18:28:52 2017 +0000

    bumped changelog version

commit e95c98b2a556d76a1a2c8b48fa79a1833f27279f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 22 13:42:39 2017 +0000

    remove legacy /var/run/qubes/this-is-templatevm

commit 84cd2de8fd29c7a8447cf738ffb49c4c030ddff0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:32:41 2017 +0000

    bumped changelog version

commit 40a897310bc7e50a55ad56f2891c4351e9310bd0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 21 20:26:28 2017 +0000

    readme

commit 87e27a0b503b542c5e4225b38681f1faa83e32e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 27 12:47:07 2017 +0200

    bumped changelog version

commit 170835cf9b33767a03bcd6dc244e6ed07998dd29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 24 12:41:03 2017 +0200

    /etc/resolv.conf r,

commit 996edd320ea2ed142fcc58063fdeb069db8e51c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 12 02:59:17 2017 +0200

    bumped changelog version

commit 31fc34d1fa8bdd91b8b389a12ec7e6311f7ab850
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 3 12:31:36 2017 +0000

    more apparmor fixes

commit d461ccab0c5eb38a5b5ba00528fbf3655334422b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 3 11:54:32 2017 +0000

    apparmor fixes

commit 7bfd1e4688606441073aac77e786721ef5e53cd6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jul 26 14:34:28 2017 +0000

    bumped changelog version

commit fa29f3d798162cb582dd64d0d663b55967e6abcb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 17:14:10 2017 +0000

    usr/share/onion-grater/examples/ -> usr/share/onion-grater-merger/examples/

commit 71123c501007b914e65aeed6c7aeb5cad137ea89
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 15:29:17 2017 +0000

    bumped changelog version

commit 2b7475f38b68c7188616037415e47a05031336ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 13:44:58 2017 +0000

    bumped changelog version

commit 30c1de54f9feaa26464842241e217be6edf3b464
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 01:37:13 2017 +0000

    return "\n".join(response) -> return '\r\n'.join(response)
    
    as suggested
    
    https://github.com/meejah/txtorcon/issues/215#issuecomment-290182519

commit ce4aa36ec780df3a41d0fef6e17916697a5da6fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 01:34:19 2017 +0000

    clean up old config files

commit 7d7dc2a60fb6f3f60740aa889b5f1479c9e18cdb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 01:30:36 2017 +0000

    cleanup, remove no longer needed build dependency ruby-ronn
    
    since we no longer ship a manpage

commit dd9a17d9f8637f11ec48ef2821068cf66be996b8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 01:29:55 2017 +0000

    minor

commit 954aa69786a3f303612c749e3574d44b3f4252e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 03:22:26 2017 +0200

    Replaces: control-port-filter-python

commit f58613fcff84e6237a9b29b8101034b633275fe6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 02:58:30 2017 +0200

    change project name to onion-grater

commit a5e47230a03ab8f6d9225dd8f14d9ee1bc381ed6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 30 02:50:16 2017 +0200

    rename strings to new project name onion-grater

commit c7272c0bcb9249efc8533a3109fd28b4358e0183
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 29 13:46:50 2017 +0200

    merge feature/getinfo-config-names from the new upstream repo (note
    the name change!) found at: https://git-tails.immerda.ch/onion-grater by anonym
    
    https://github.com/meejah/txtorcon/issues/215#issuecomment-288235451

commit 4a8b29be65fd0d7d7de5adb5662ab3a0a4107069
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 21 15:21:59 2017 +0100

    allow AppArmor /run/tor/control rw
    
    so it keeps working when AppArmor starts moderating socket file access

commit d843dd6e9df4a83a0782e1e06b18a39eac94f63f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 21 15:21:00 2017 +0100

    cleanup

commit 08019c74a842fb8f1a1a6f99a27254620e46f613
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 21 15:20:12 2017 +0100

    update config location to new upstream default /etc/onion-grater.d/
    
    https://github.com/meejah/txtorcon/issues/215#issuecomment-287792764

commit b00ab0d83c2fb59ab68dc5ee24650f079ce3f17c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 21 15:16:23 2017 +0100

    import upstream changes from https://git-tails.immerda.ch/onion-grater
    
    https://github.com/meejah/txtorcon/issues/215#issuecomment-287792764

commit a42e032804491a547b4eb432cd4b906cb7821010
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 9 00:35:22 2017 +0000

    bumped changelog version

commit 4cff9682cc8a25f96e7b7ab510ed9dc74a3d4b5b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 8 00:36:09 2017 +0000

    adjust for ZeroNet profile for python-stem port changes
    
    https://github.com/HelloZeroNet/ZeroNet/issues/758
    
    https://github.com/HelloZeroNet/ZeroNet/pull/834

commit eef318c2d2116214799a967c055ee7d1d8f61508
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 20:02:29 2017 +0000

    bumped changelog version

commit a6b9eba31088bc3dea2eb2c92f9fdbca1232c7ad
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 6 19:13:08 2017 +0000

    etc/tor-controlport-filter-merger.d/30_whonix.yml allow by default:
    
          - 'consensus/valid-after'
          - 'consensus/valid-until'
          - 'consensus/fresh-until'
    
    For sdwdate Tor Consensus Time Sanity Check.
    
    https://phabricator.whonix.org/T151

commit e00186003ed4bf9bf07ae76349c54c081db028c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 27 01:39:20 2017 +0000

    bumped changelog version

commit 61455a4162b7fa5527d526f61a72ae1d74ff8034
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 22:47:24 2017 +0000

    add python3-sdnotify to Depends
    
    https://phabricator.whonix.org/T274

commit e176f6ebab9cd4f69824b556d83abfb08d6d85e0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 17:53:43 2017 +0000

    minor

commit 5f0468a48bd14628ae144a6b7881a30bb09f80ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 17:52:43 2017 +0000

    enable systemd WatchdogSec=10
    
    move sd_notify READY=0 into service_actions to prevent race condition
    
    https://phabricator.whonix.org/T274

commit a68fb8199f709bd18290e423502ffc261f2b96a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 17:38:19 2017 +0000

    fix, remove duplicate Type= in systemd unit file

commit 219373ba55f8ebbb3b0372bc5298b4048c5515ec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 17:36:55 2017 +0000

    notify systemd sd_notify with thread counter
    
    don't log thread active to keep logs small

commit a0b72aa0c5e07ff38b48d5fd22f68ab8f4cc1cac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 17:14:12 2017 +0000

    remove trailing spaces

commit a109edd2586b9f4389332e94b5e63d676ee367fc
Merge: 11cbf5e e568c7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 21 17:05:03 2017 +0000

    Merge remote-tracking branch 'joysn/master'

commit e568c7a3e464119ae22efc42ae9f827c104d925f
Author: Joy SN <joysn1980@yahoo.com>
Date:   Tue Feb 21 11:07:08 2017 +0000

    use sd_notify to publish the start and other status

commit 8929b0da163a6c472199a14df0354b7f4d2d3909
Author: Joy SN <joysn1980@yahoo.com>
Date:   Tue Feb 21 09:07:26 2017 +0000

    tor-controlport-filter thread status systemd message

commit 11cbf5e25feba35fc0196da1c28859c1e1d54d93
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 15:14:58 2017 +0000

    bumped changelog version

commit 8b623da0b59bb28485dfa6ec4d06a72fcea4c469
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:59:44 2017 +0000

    copyright

commit 5dfa17d2183731b897150bed93caf2148554361d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:58:10 2017 +0000

    remove "This file is part of Whonix." from copyright
    
    since not needed

commit 0f5fcb1272218eae697b54b73b8989b15ff689f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:56:27 2017 +0000

    copyright

commit 3f928e0243aefc6255ac25839e3cc09e76b98197
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:52:53 2017 +0000

    fix copyright year

commit 2b1062b12e41eb52aa241538996b8a85ba6cf3d5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:51:38 2017 +0000

    remove troubadour from copyright
    
    because current version is no longer based on troubadour's version

commit a8e40cced492938d31b072099a9c68aeb6b26f21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:50:23 2017 +0000

    minor

commit efcabddb2746dc40b8863b2e31767763b0c34c64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:49:26 2017 +0000

    update debian/watch

commit 446db64556bd80e7c30c6c08261fbfd9e5200767
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:49:00 2017 +0000

    update copyright

commit 1c50ebbd584238828e6552331da67be9dc0d7c1b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:45:14 2017 +0000

    update maintainer

commit 1204bb4004a2a4475a06194cbc6376fa079ca3f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 14:40:17 2017 +0000

    remove dh-python from package build since not required
    
    removes the following warning
    
    dpkg-gencontrol: warning: Depends field of package control-port-filter-python: unknown substitution variable ${python3:Depends}

commit 77f9a48acfa37bf3be600013c01dcdf81ecb544f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 17 13:49:55 2017 +0000

    bumped changelog version

commit 1614e8c672cfeb77927902258513aede6014a34d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 14 17:30:29 2017 +0000

    "$@"

commit a234d73e9b70399a66f9f3cf2a3c08ebbaefd078
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 18:21:12 2017 +0000

    rm_conffile /etc/apparmor.d/usr.sbin.cpfpd

commit 11fb4e8d5c93e444e89ee879e487e0f7f22eab64
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 18:19:00 2017 +0000

    apparmor fixes

commit 1345b4f5d80a8848455370cbb693dc110b4b7c4d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 13 17:25:41 2017 +0000

    readme

commit c6504a809cd42df376e72aeb2362bbd420158d7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:47:50 2017 +0000

    remove faketime from Build-Depends:
    
    since no longer used for reproducible builds

commit b274982294ce4113ef43397676626139f3060763
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:35:22 2017 +0000

    remove debian/gain-root-command workaround

commit 23b2ba3faa27bd416211a53636f9fdb6cd6d2718
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 10 15:25:25 2017 +0000

    packaging simplification ruby-ronn (>= 0.7.3) -> ruby-ronn

commit 977f599a9ca09e980a854ac34ccdd899f9bd3871
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 6 02:07:23 2017 +0000

    bumped changelog version

commit 06edefea40cc98135dcdd52da23652db2bd634c0
Merge: d6ac95e 7b28225
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 4 17:58:50 2017 +0100

    Merge branch 'keywords-as-tails'

commit 7b28225fbe6300631c89047a645a649fbed19208
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Feb 4 13:36:56 2017 +0100

    same keywords as Tails
    
    https://phabricator.whonix.org/T617

commit d6ac95ee0d000ca39aacd17c1ff2b9ced5f7696f
Merge: 6fe2d27 d99eb8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 3 20:36:02 2017 +0100

    Merge remote-tracking branch 'joysn/master'

commit 6fe2d272462ff4bdf7f33fea0d2db551cb232bfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 23:40:37 2017 +0100

    typo

commit cf0c7afa93de78362236c5dc6539d74ccd1dec56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 23:25:54 2017 +0100

    improve yml file top comment; slight refactoring of yml file creation
    
    https://phabricator.whonix.org/T617

commit d05d1015c460812ae0faa1a699f95f248817d4c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 19:04:38 2017 +0100

    fix typo

commit 6c78583df9350f47f4ee84531311ecdb5111072d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 18:51:08 2017 +0100

    create folder /etc/tor-controlport-filter.d if it does not exist to avoid failure

commit 5bf372be2708b1b86eff20e861607104597fbb80
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 18:47:03 2017 +0100

    usr/share/tor-controlport-filter -> usr/share/tor-controlport-filter-merger

commit a615611fbbbb3ebf3b6641a187f109d22da3fd51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 18:46:27 2017 +0100

    renamed:    etc/tor-controlport-filter.d/30_whonix.yml -> etc/tor-controlport-filter-merger.d/30_whonix.yml

commit de26ca3952813b28433c545c8acceef4fd733433
Merge: 37d1d2e 6f488c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Feb 2 18:26:41 2017 +0100

    Merge remote-tracking branch 'joysn/master'

commit d99eb8c077dd6fc2ec0f479b51e2be043e3f6ea0
Author: joysn <joysn1980@yahoo.com>
Date:   Thu Feb 2 12:13:55 2017 +0000

    Revert "Matchers incorrectly spelled so the config file was not read properly"
    
    This reverts commit 6f488c14980e8b5c58a42374649c4d5725c8296e.

commit f430cf3478d430851db3443b2984bc61f69a6605
Author: joysn <joysn1980@yahoo.com>
Date:   Thu Feb 2 11:38:34 2017 +0000

    Remove 'match" from the config files
    https://mailman.boum.org/pipermail/tails-dev/2017-February/011224.html
    
    https://phabricator.whonix.org/T617

commit 37d1d2e5ec88c20566be32fef0063abde5180a0c
Merge: ab9be17 cf5ab33
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 31 19:24:30 2017 +0100

    Merge remote-tracking branch 'joysn/master'

commit 6f488c14980e8b5c58a42374649c4d5725c8296e
Author: joysn <joysn1980@yahoo.com>
Date:   Tue Jan 31 11:32:41 2017 +0000

    Matchers incorrectly spelled so the config file was not read properly
    https://phabricator.whonix.org/T617

commit 70162e5508e7bca9002beeacf19a8edd9763013d
Author: joysn <joysn1980@yahoo.com>
Date:   Tue Jan 31 10:06:41 2017 +0000

    Fix path for picking up the yml files
    https://phabricator.whonix.org/T617

commit cf5ab330ae5666f205ef224ac67c4d3f29eb711f
Author: joysn <joysn1980@yahoo.com>
Date:   Tue Jan 31 09:59:49 2017 +0000

    Fix the path where 30_autogenerated.yml to be saved
    https://phabricator.whonix.org/T617

commit 2f7ea22e2b56eb2daca7feb9ae1e0717cb324ad0
Author: joysn <joysn1980@yahoo.com>
Date:   Tue Jan 31 09:57:26 2017 +0000

    Create tor-controlport-filter-merger
    https://phabricator.whonix.org/T617

commit ab9be173316f141982346fde5f3ee1ca0b3ab80a
Merge: 9d4c2f3 7c5c206
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 25 20:18:54 2017 +0000

    Merge remote-tracking branch 'joysn/master'

commit 3da7a49d7b4f43827578f00fc50489a05de4369f
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Jan 25 18:24:45 2017 +0000

    Replace existing version with TAILs version of tor-controlport-filter
    https://phabricator.whonix.org/T617

commit 9d4c2f30f13c51f4bf10cbbfbabcd6ba232cf43c
Merge: 8d4f465 bed6399
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jan 25 15:21:01 2017 +0000

    Merge remote-tracking branch 'joysn/master'

commit 7c5c206979d113b3363f455980b27542b38fb901
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Jan 25 14:36:43 2017 +0000

    -u instead of -v (type)

commit bed6399bee9ec12de4ba089c6370f17503ee7dd6
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Jan 25 14:30:43 2017 +0000

    add /etc/tor-controlport-filter.d configuration support
    Step 4 - merge tor-control-port-filter changes by Tails into Whonix's tor-control-port-filter f$
    https://phabricator.whonix.org/T612

commit e820a4f262d6230e1c5efb67629692226bd5a219
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Jan 25 14:28:38 2017 +0000

    add -listen_interface option
    Step 3 - merge tor-control-port-filter changes by Tails into Whonix's tor-control-port-filter f$
    https://phabricator.whonix.org/T612

commit 8d2602b7e23b920d6d2aec016a32c1d943b3018e
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Jan 25 14:25:23 2017 +0000

    Use yml.safe_load and Python exceptions in journalctl
    Step 2 - merge tor-control-port-filter changes by Tails into Whonix's tor-control-port-filter f$
    https://phabricator.whonix.org/T612

commit eb644cb41c4c3898538c4ac7ae47b89b0826c6b8
Author: joysn <joysn1980@yahoo.com>
Date:   Wed Jan 25 14:21:42 2017 +0000

    Replace the current tor-controlport-filter with
    https://git-tails.immerda.ch/tails/tree/config/chroot_local-includes/usr/local/lib/tor-controlport-filter
    
    Step 1 - merge tor-control-port-filter changes by Tails into Whonix's tor-control-port-filter fork
    https://phabricator.whonix.org/T612

commit 8d4f465216664b1ae3e3166488d11f2984b27240
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 17:48:14 2017 +0100

    bumped changelog version

commit e6f5e023ad9bedfa039f51d066c7eac54f731261
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 20 17:47:34 2017 +0100

    disable systemd hardening since broken in stretch, re-enable later

commit 0b913027567f446684c7839e26f0b234d85e41ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 13:08:29 2017 +0100

    bumped changelog version

commit 9a23ebb13b8b32a71378ecb0cb199cf921275c47
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 13:05:22 2017 +0100

    create signed commit

commit 1d005d208613950b4d97ac964a1e4ac985700bae
Merge: 6ed5288 e504cab
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 17 12:59:00 2017 +0100

    Merge remote-tracking branch 'joysn/master'

commit 6ed5288e8af90a871eec89ec52622c96b7b19864
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 15:23:33 2017 +0000

    bumped changelog version

commit ec5426e7f61cb70e276321105ed31a132c1b7506
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 12:31:15 2017 +0000

    override lintian copyright false positive

commit 28ab97962a900513905c78252d42caf7c78bbf3c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 07:55:28 2017 +0000

    use --home /nonexistent to fix lintian warning

commit 20e28436f48c1806b33a203947e6f62d34fe45ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Jan 15 08:35:30 2017 +0100

    packaging, bumped Standards-Version from 3.9.6 to 3.9.8 for jessie support

commit e504cabcdaf159f821f38edd4267112c71a190d7
Author: joysn <joysn1980@yahoo.com>
Date:   Fri Jan 13 14:42:44 2017 +0000

    The function yaml.safe_load limits this ability to simple Python objects like
    integers , lists etc
    https://phabricator.whonix.org/T604

commit 482a30e8473efe43028c9536481856737eefc103
Merge: 07a6ab6 774bb69
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 13 14:33:58 2017 +0000

    Merge remote-tracking branch 'joy/master'

commit 774bb69e6812fac01ca1e40ba6721961950e5475
Author: joysn <joysn1980@yahoo.com>
Date:   Fri Jan 13 11:32:36 2017 +0000

    Makesure that python exceptions are logged and found using
    sudo journalctl -f -u tor-controlport-filter
    
    https://phabricator.whonix.org/T603

commit 07a6ab605b549487414a61920086648bd14b7f22
Merge: b2f5ca1 34070b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 20:14:07 2017 +0000

    Merge remote-tracking branch 'joy/master'

commit 34070b35c91b7262697dbefec3944b496d0da18d
Author: joysn <joysn1980@yahoo.com>
Date:   Thu Jan 12 10:59:36 2017 +0000

    Modify the tor-controlport-filter profile for apparmor.d
    https://phabricator.whonix.org/T587

commit b2f5ca1a00c5ca6d19a02122b170ad32d8e56aa6
Merge: fbfd25b 3685f36
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 10:13:06 2017 +0000

    Merge remote-tracking branch 'joy/master'

commit 3685f36aecea638ba2fb73d7daa31423fd396e4e
Author: joysn <joysn1980@yahoo.com>
Date:   Thu Jan 12 09:39:16 2017 +0000

    renaming usr.sbin.cpfpd to usr.lib.tor-controlport-filter
    https://phabricator.whonix.org/T587

commit fbfd25b5821e8a3f8be6c50cea373e0922342d95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 12 02:49:24 2017 +0000

    bumped changelog version

commit cdf1c35b5241396db86e2dc5e17d41f98557c7f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 10 23:19:44 2017 +0000

    add 40_zeronet.yml to examples

commit c7231b54fe0a17cad68342a8385eb2035bea61d3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 10 17:59:38 2017 +0000

    remove rules duplication; comment

commit 611c974a9f349ad4a136a2baf479e86276690eca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 10 16:32:22 2017 +0000

    add ricochet config to examples folder
    
    https://phabricator.whonix.org/T444

commit 6b51c6cc3e18a1d2c09bcef994b088adeebc1ff7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 20:56:43 2017 +0100

    workaround for 'bug, ADD_ONION tries port 0?'
    
    https://github.com/micahflee/onionshare/issues/343

commit 69bffd76788fa2ec2c497fe48083cd072043cb55
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 20:53:46 2017 +0100

    fix path usr/share/tor-controlport-filter/40_onionshare.yml -> usr/share/tor-controlport-filter/examples/40_onionshare.yml

commit d875118428fe7877a14afcc6c5065b807c1cdfe7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 19:47:16 2017 +0100

    typo

commit 5178234b805ca549f47f25958d67286923eb076d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 19:39:49 2017 +0100

    renamed etc/tor-controlport-filter.d/whonix.yml -> etc/tor-controlport-filter.d/30_whonix.yml
    
    https://phabricator.whonix.org/T576

commit 008e642c04e099f1807e9766396d1d2ffa063f5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 19:35:32 2017 +0100

    https://phabricator.whonix.org/T594
    
    add usr/share/tor-controlport-filter/40_onionshare.yml

commit 2c647edd23457516338092aa0654472df73a3310
Merge: 501f2fc 98eaef3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Jan 9 15:33:55 2017 +0100

    Merge remote-tracking branch 'joy/master'

commit 98eaef3dc7eb23ab9ec90297f1eccab74646f684
Author: joysn <joysn1980@yahoo.com>
Date:   Mon Jan 9 11:58:06 2017 +0000

    https://phabricator.whonix.org/T576
    
    Fix error pointed by Patrick

commit 22ce6ba6ff6513e45d9166e6004d8748fd407eb0
Author: joysn <joysn1980@yahoo.com>
Date:   Thu Dec 22 12:18:27 2016 +0000

    add /etc/tor-controlport-filter.d configuration drop-in snippet configuration
    extension feature
    
    https://phabricator.whonix.org/T576

commit 501f2fcb80087aff4d702e84a78136709d69e3c5
Merge: 5e44fa7 8a67063
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Dec 18 01:55:23 2016 +0100

    Merge remote-tracking branch 'joy/master'

commit 5e44fa70351641e5028191bc7018bfcf96bc761e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 16 16:19:05 2016 +0000

    bumped changelog version

commit 8a67063dc68b1011e42a8d05f5e1f5889e460e69
Author: Joy SN <joysn1980@yahoo.com>
Date:   Fri Dec 16 12:45:01 2016 +0530

    add --listen-interface
    
    https://phabricator.whonix.org/T579

commit cf0535fcd46464bdbdd86c2cd258e17ee7f6d171
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 14 20:12:34 2016 +0000

    improve etc/tor-controlport-filter.d/whonix.yml

commit 8e948e1378775356e331985d1374c6c373051fde
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Dec 10 01:55:10 2016 +0000

    bumped changelog version

commit 0245aff533b7d73ad963f65ea77202ba9737348c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 23:06:20 2016 +0000

    fix systemd unit file syntax error
    
    https://phabricator.whonix.org/T573

commit 169b6c6180a204e6382934e07512ea81200aba91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:28:22 2016 +0000

    add Whonix default config
    
    https://phabricator.whonix.org/T573

commit bd6b10386f6c85b083cea3b95b6bacd9d439b78a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:56:32 2016 +0000

    adjust for don't run inside Qubes TemplateVM
    
    https://phabricator.whonix.org/T573

commit a063841e36cf3602e7c4e68f8783aaef17ae6954
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:51:33 2016 +0000

    adjust debian/rules and debian/control for python3
    
    https://phabricator.whonix.org/T573

commit cc5836ccb5d21e24ce457c5d1f9919435f616511
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:48:38 2016 +0000

    fix lintian false-positive
    
    https://phabricator.whonix.org/T573

commit 0a1494d6e064ef253d680d3086e865e6d0dbc5b9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:45:52 2016 +0000

    add debian postinst to create user tor-controlport-filter with member debian-tor
    
    https://phabricator.whonix.org/T573

commit 6635f29699877049722cddf4d80c5d76e406a8f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:36:56 2016 +0000

    adjust file location in copyright files
    
    https://phabricator.whonix.org/T573

commit b58447a77e2ab9fbf59969d58af8e6f7a1f47774
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:33:47 2016 +0000

    fix python build depends
    
    https://phabricator.whonix.org/T573

commit 4e4b103680873b7711ee475f9e6271907ef826d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:31:43 2016 +0000

    fix python3 in debian/control

commit f0edd988d6454eccefc883c8646e0a60a86efeb2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:21:24 2016 +0100

    normal dependency rather than pre-dependency on tor package should do
    
    https://phabricator.whonix.org/T573

commit dd80fd2658d329eeed0bb42e7d8b87f338b60406
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:19:39 2016 +0100

    adjust systemd unit file ExecStart=/usr/lib/tor-controlport-filter
    
    https://phabricator.whonix.org/T573

commit 6e48680ef2aeda4fa2b38f926accf096d37067d1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:17:40 2016 +0100

    remove man page since no longer in /usr
    
    https://phabricator.whonix.org/T573

commit 80542aa94dceb09f8d3158aea88a0e1cb7362ea5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:16:52 2016 +0100

    move usr/sbin/cpfpd -> usr/lib/tor-controlport-filter
    
    https://phabricator.whonix.org/T573

commit 2c615e544744b9431c65330b6c49772752aa785a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:14:37 2016 +0100

    adjust debian dependency list
    
    https://phabricator.whonix.org/T573

commit 21526163ef3b21de4e0105710b1fefc7f266016b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:12:27 2016 +0100

    remove logrotate since using journal now
    
    https://phabricator.whonix.org/T573

commit 8a5e396422ac099952eb57cb75859cb0242c3580
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:09:51 2016 +0100

    remove legacy Whonix cpfpy config file
    
    https://phabricator.whonix.org/T573

commit 8ae1d312985cdb457c37b4a0ae0597e678d3f103
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:07:45 2016 +0100

    merge enhancements from legacy Whonix cpfpy

commit 93f645ed1a7b95f0dd7171a8aba1cbe5c0621b58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 20:00:38 2016 +0100

    add tor-controlport-filter.service
    
    https://phabricator.whonix.org/T573

commit d431e92f78d946ce26b16f4fe14fd45dd84049d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 7 19:56:40 2016 +0100

    move from Whonix control-port-filter-python to tor-controlport-filter by Tails
    
    https://phabricator.whonix.org/T573

commit 99e8395fbafcb7789c7d1b5cbf7410ed65192e9a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 21 17:39:43 2016 +0000

    readme

commit 6a131266a8dc8f98ff22a3b83fae9d43e38b3127
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 20:12:56 2016 +0000

    reject add_onion requests that do include the NonAnonymous keyword
    
    https://phabricator.whonix.org/T448

commit 828f35426349d6ead53013afbe89ee712befae38
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 19:45:08 2016 +0000

    remove postinst, no longer needed
    
    since no longer using DaemonRunner

commit 401870a472451bd51450a43d97736243c09224b3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 19:42:13 2016 +0000

    remove Pidfile=

commit 983554ed21b93e9e2ca4f85c9eb8f31aa74a4e5d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 19:41:28 2016 +0000

    remove control-port-filter-python.conf
    
    no longer required since DaemonRunner was removed

commit b0154ce609778b7faedbd4155616472d96ceb314
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 19:39:58 2016 +0000

    remove start parameter from ExecStart since no longer needed
    
    since DaemonRunner was removed

commit 88aafe059bb05dd1175148d00f635db6ff020cbd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 19:28:52 2016 +0000

    - new configuration option ONION_REJECT_OWN_IPS (default: true), that will
      reject any add_onion requests that contain any IP that the gateway has
    - reject request if add_onion IP injection failed rather than passing non-transformed request
    - fix config parsing bug
      (fixed case when there is a config file but still some value undefined)
    - log to stdout rather than /var/log/control-port-filter-python.log, so cpfpy
      output ends up in journal
    - deprecated /var/log/control-port-filter-python.log
    - no longer use DaemonRunner, no longer fork, leave that to systemd
    - remove unused class UnexpectedAnswer(Exception)

commit ab11f9aeb122a5879ad70fec3b51cc81697c058f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 04:32:49 2016 +0000

    reject requests with excessive string lengths

commit f5a12054e9e63ee49cf35ba6c91b501b82b1c73c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 03:49:54 2016 +0000

    - add option ADD_ONION_INJECT_IP
    - add handle_error to all handlers
    - log some otherwise uncaught exceptions

commit 16bdd685f28ff64e67f6e8aff1b4cd8b64749fad
Merge: 419e419 b8791f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 00:41:49 2016 +0000

    Merge branch 'development'

commit b8791f2832a722f0f7e04e30df998d852e519a91
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 23 00:06:37 2016 +0000

    comment

commit 98357b3dead44d013c1e6609153fa809515dcb60
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 22 23:48:25 2016 +0000

    remove issue comment since solved
    
    Should Tor authentication fail, this is logged and cpfpy closes client connection.

commit 9c325f5fa953f395c5dd38d3b2eb3114beb1bcc4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 22 23:43:31 2016 +0000

    remove issue comment since solved
    
    should Tor close the connection, cpfpy will also close client connection

commit a1374dc4cd10cad93b38e963f21d0c07405ff602
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 22 23:37:58 2016 +0000

    remove issue comment since non-issue
    
    Both real Tor control port and cpfpy close the connection if commands are sent
    when the client is not yet authenticated. (With the exception of authenticate,
    authchallenge and protocolinfo so there is parity.)

commit 79ecc7cad1058b50036d1ecf3e98b5fcc3bb151b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Sep 22 17:04:57 2016 +0000

    - inject Whonix-Workstation IP into add_onion request
    - logging enhancements
    - refactoring

commit 1f9653b4b337d6d71ad70f276173fc0341329357
Merge: d9195f9 6dca782
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 21 21:10:11 2016 +0000

    Merge remote-tracking branch 'origin/development' into development

commit 6dca7824eb2bb7144b5cd7084b5fe444aff12cda
Merge: d9195f9 36f69be
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 21 23:08:52 2016 +0200

    Merge pull request #5 from marmarek/development
    
    Fix 100% CPU usage bug and other things

commit 36f69be421490b3b71e089010344c33eac310ae4
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Wed Sep 21 23:04:36 2016 +0200

    Do not wait for client connection being writable
    
    There is nothing buffered to write. This commit fixes 100% CPU usage -
    it was looping and calling handle_write, which does not exist.

commit 91eebc5174a291962a8c2119403815f9af93f060
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Wed Sep 21 23:04:16 2016 +0200

    Handle errors while connecting to tor

commit cd6b4c3d8f36bafa7242bf2c11ce1086f8d37278
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Wed Sep 21 23:03:37 2016 +0200

    drop unused imports

commit d9195f9e9b553a40ad020c04949bfd699e3c37d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 21 22:22:16 2016 +0200

    revise log levels

commit 1a013240542cbf6b8f78d7716acb9bb70ce87bce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 21 22:15:25 2016 +0200

    - reimplment siterm and keyboard interrupt handlers
    - reimplment properly shutdown listeners on exit
    - refactoring
    - comments

commit b5aff5e089e57a424b6c80eff99ee85bc227dfcf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 21 14:58:52 2016 +0200

    improve log output

commit 53f8bf9b9d034d2a2c239723a5ed9df1cdb24916
Merge: 7eda596 fa34eaa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 20 23:15:03 2016 +0200

    Merge remote-tracking branch 'origin/development' into development

commit fa34eaa1f8fdc99b328125fe696b9fc26ea637ef
Merge: bf50c88 353cb41
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 20 21:12:34 2016 +0000

    Merge pull request #4 from marmarek/development
    
    buffer incoming request

commit 353cb41fac87d348fab06e357a0fbb0b007d360e
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Mon Sep 19 00:14:35 2016 +0200

    buffer incoming request
    
    https://phabricator.whonix.org/T448

commit 7eda59671bc52c2bdf2bea1b9580fbb39272ffac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 18 03:01:31 2016 +0000

    typo

commit bf50c884bca7252084d9de2607eaac3bc45a2377
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 18 02:45:49 2016 +0000

    removed now obsolete loop
    
    https://phabricator.whonix.org/T448

commit 62e13d03d75497dc8f05fb80c1735b2e572b3c66
Merge: b9ea6c0 70d361d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 18 02:44:31 2016 +0000

    Merge remote-tracking branch 'origin/development' into development

commit 70d361d60d4dccc87f60962127808d8db73f7a6a
Merge: b9ea6c0 c73d397
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 18 02:42:32 2016 +0000

    Merge pull request #3 from marmarek/development
    
    Switch to asyncore for client side too

commit c73d397041ac9c0aab1c03d254e6aded509a24b0
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sun Sep 18 03:02:22 2016 +0200

    Switch to asyncore for handling incoming connections too

commit 61969c2be54554ff48b97ff6518506b997ead307
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sun Sep 18 03:01:10 2016 +0200

    use public API of daemon.runner

commit 0ef4093f02e593736200af8c0c9c2452784539ad
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sun Sep 18 03:00:47 2016 +0200

    syntax fix

commit 43dd65220192a8a321e523d4803cb4c5eb971c58
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sun Sep 18 02:59:50 2016 +0200

    add missing ALLOW_WILDCARDS to default settings

commit 950b54ed225b743b7ffd1d585240bf173dafd5be
Author: Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>
Date:   Sun Sep 18 02:59:22 2016 +0200

    import fix

commit b9ea6c0519f2e2f9f5b10d52c8fdd8275deb988f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 17 23:48:07 2016 +0000

    work towards support for Tor control protocol events (setevent) by Control Port Filter Proxy
    
    https://phabricator.whonix.org/T448

commit e073189f6f96380b66b577d02cb6f87fe4761a82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Sep 17 02:45:10 2016 +0000

    work towards support for Tor control protocol events (setevent) by Control Port Filter Proxy
    
    https://phabricator.whonix.org/T448

commit b349bea05298707181b2980a7e836681ea9e9d57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 16 23:51:26 2016 +0000

    comment

commit 9c0ac0b73ce6cc174ab626ccbfe1ba27e9318d2d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 16 23:50:37 2016 +0000

    refactoring

commit 109832b4a8d7a2f79fa25b7d0cd8ecda7ea6c255
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 16 18:13:08 2016 +0000

    refactoring

commit 83ec5e3f90539571b90137ce2e9f1b0c2d95dcc8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 16 17:30:19 2016 +0000

    work towards support for Tor control protocol events (setevent) by Control Port Filter Proxy
    
    https://phabricator.whonix.org/T448

commit 419e41938dbbd90d4e6c14992d4061e0b03ac0b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 16 17:25:20 2016 +0000

    - actually close connection when receiving "quit"
    - add debug information when receiving and when closing a connection
    - remove erroneous flush in failure case
    - refactoring

commit 703e7c97a8e7e43e3a057c0f923e4cf394f753cf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 16 14:55:50 2016 +0000

    remove getinfo status/bootstrap-phase from built-in defaults
    
    since no longer required

commit 74c913fe730e4247b59eca4a1c82a0546441c216
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Sep 16 14:51:09 2016 +0000

    add support for python-stem based applications using Tor Control Socket authentication
    
    by adding protocolinfo to whitelist
    
    https://forums.whonix.org/t/control-port-filter-proxy-python-cpfpy-anon-ws-disable-stacked-tor/533/157?u=patrick

commit 7fe75ffab2a5a6ce0716abbe6c496ca15dbc6cda
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Sep 14 19:21:15 2016 +0000

    add support for python-stem Tor control socket based authentication
    
    - also accept AUTHCHALLANGE Tor control port command
    - correctly terminate answers with CRLF

commit 47754e6d35660ca15a920dd1abf82de10cb842fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 22 22:53:10 2016 +0000

    no longer allow the workstation to read tor_bootstrap_status
    
    for better security

commit 4e07a03ad533a58cb3e3df7404d8d71af8bbb2f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 23:21:07 2016 +0000

    minor formatting

commit 2d7374f60b2bd2ac72d9d7f3b4fcc48772298386
Merge: 3a5f7ca 1a3d764
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 23:20:33 2016 +0000

    Merge remote-tracking branch 'origin/master'

commit 1a3d764ecf904a397abb64712ddacb3fa96731d9
Merge: aeed87e c86b9ed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 23:19:42 2016 +0000

    Merge pull request #2 from HulaHoopWhonix/patch-3
    
    Update control-port-filter-python.service

commit aeed87e051b1b798f3f3721542c0d0d29f772f90
Merge: 43ed583 4f1cd35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 23:19:20 2016 +0000

    Merge pull request #1 from HulaHoopWhonix/patch-1
    
    Tested deny read interpreter rule. Works ok

commit 3a5f7caeaabeae39fd5efd1aae0b9e93b2bcaa21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 20:08:20 2016 +0000

    comment

commit 43ed583514041cf5695097cac39d05d51d312777
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 19:55:30 2016 +0000

    Wants==network.target

commit 69b5da708010012c32827693ed948478af1c1356
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Aug 14 19:54:07 2016 +0000

    systemd: removed After=remote-fs.service since not required

commit 164411fb7c8914022a5def02b5aea7118e7ca8a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 14 21:14:47 2016 +0000

    bumped changelog version

commit 2a9e0c9dca096917ebe2ce8ebeae700f444f6bed
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 9 03:02:23 2016 +0000

    minor

commit d9a049cb3a80d7af9b2593a1b1d0ad705334c1cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 7 22:54:35 2016 +0000

    bumped changelog version

commit 09112197cb59a504750c85bf7c0f9528455cd63b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Jan 1 19:47:03 2016 +0000

    comment

commit 3f1f12b787fc5ff7f0cd6a99428cbd7fa02401da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 30 20:02:49 2015 +0100

    commented default CONTROL_PORT_FILTER_WHITELIST entries

commit 28c5bec367777964a3d5b8eda9f31d3a35494ced
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 30 19:38:13 2015 +0100

    more readable configuration of CONTROL_PORT_FILTER_WHITELIST

commit 5e3833ae476e3313485065d59a2cc7056dda82a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 30 19:04:26 2015 +0100

    minor cleanup

commit 5fed540f8f98a57abd84c159e4c5d3e8d8739f6a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 30 19:03:46 2015 +0100

    minor, fixed variable name case sensitiveness CONTROL_PORT_FILTER_ALLOW_WILDCARDS

commit 0c0556bcabf32b655fda6204e41b4997029ddf18
Merge: 941b038 ad1a3dd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Dec 30 18:44:37 2015 +0100

    Merge remote-tracking branch 'troubadoour/master'

commit ad1a3ddacc0d0cc80c93a6a1050697a015a6d56e
Author: troubadoour <trobador@riseup.net>
Date:   Tue Dec 29 17:38:50 2015 +0000

    glob .conf files in /etc/cpfpy.d

commit 96a8c164e44269c7ffd9e8c715b92a84f3359c59
Author: troubadoour <trobador@riseup.net>
Date:   Tue Dec 29 17:11:15 2015 +0000

    Add wildcard support
    New variable CONTROL_PORT_FILTER_ALLOw_WiLDCARDS. If set, commands containing
    random data (ex hidden service ID:port) are passed if an wildcard alias exists
    in the commands whitelist (ex 'add_onion *')

commit 941b0385ff41c7006925c7f5ca3f05d1bbc6d164
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Dec 15 21:02:23 2015 +0000

    updated README.md

commit 4280a718558f776bfac8b5b2fce3a13bd021fe5c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 30 19:48:20 2015 +0000

    Only source configuration files that end with the '.conf' extension.
    
    Thanks to @nrgaway for the suggestion!
    
    https://phabricator.whonix.org/T286

commit 1e47a1f6dfda480472d82f72ddc10a836c884c15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Aug 25 14:07:56 2015 +0000

    bumped changelog version

commit 152d9e0ebc4ff2ff62309c4faac7b8a221d39b07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Aug 24 17:47:19 2015 +0000

    bumped changelog version

commit 20390f32e6d9a9271580500caa57a69f66df94a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Aug 19 23:43:48 2015 +0000

    workaround for 'dh_installinit should run systemd-tmpfiles if a /usr/lib/tmpfiles.d/ snippet gets shipped for systemd-only packages also' - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=795519

commit c86b9ed6ffda98b3ca3b1a4235230f8df44b2076
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Jun 20 14:35:43 2015 +0000

    Update control-port-filter-python.service
    
    syscall whitelist added.
    /usr /boot and /etc are read-only.
    access to /home /run/user is denied.
    turns off all physical device access.

commit 4f1cd35cceec5a8a69cf066e5091a04d32ce6e05
Author: HulaHoopWhonix <bancfc@openmailbox.org>
Date:   Sat Jun 20 14:18:05 2015 +0000

    tested deny read interpreter rule. Works ok

commit db9369f5e15824d205f9e1c116801059e35f73ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 11 20:41:45 2015 +0000

    bumped changelog version

commit f4e7853ee8d8a89d18fbdda19ce193a51e79348e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 11 20:39:31 2015 +0000

    packaging of apparmor profile - https://www.whonix.org/forum/index.php/topic,97.msg8456.html#msg8456

commit 02126056e62dc19f3d5fe2e9f454c8a0511fab34
Merge: 12ca68d e3dd673
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jun 11 20:24:32 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit e3dd6731e2570abebc370851bdc45fb12973353d
Author: troubadour <trobador@riseup.net>
Date:   Tue Jun 9 19:25:16 2015 +0000

    add apparmor profile

commit 12ca68d87d82bf6fe3bd4e553ada5a98076779ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 14:59:35 2015 +0000

    bumped changelog version

commit 07427bec28e5f6fa54e70f72c62e1d0c1906d34b
Merge: 51de33e 3c1f475
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 21:36:34 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 3c1f47571c6e7d6d18831a719b874aa6eca5dcc8
Author: troubadoour <trobador@riseup.net>
Date:   Fri May 29 20:31:36 2015 +0000

    remove argument parsing, done in daemon/systemd

commit 51de33e8c9df329e5bade5b448efa2029f745252
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 17:06:57 2015 +0000

    bumped changelog version

commit 838061e72547b308adee51182350135c830fc2c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 17:05:14 2015 +0000

    systemd unit: removed 'StandardOutput=syslog' and 'StandardError=syslog' as per https://www.whonix.org/forum/index.php/topic,560.msg8267.html#msg8267

commit 979ca841966b44e7c383744223edbcc65ea92258
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 24 13:16:20 2015 +0000

    bumped changelog version

commit 7c393884622c719bd482dd7cf8447b067a7003c8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 24 13:14:10 2015 +0000

    systemd unit: removed 'syslog.target' from 'After=' to fix lintian warning 'W: control-port-filter-python: systemd-service-file-refers-to-obsolete-target lib/systemd/system/control-port-filter-python.service syslog.target' - https://www.whonix.org/forum/index.php/topic,560.msg8260.html#msg8260

commit f37969a9fb8ddf7b1863525e65efa40fe2b4cfc6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 24 04:26:26 2015 +0000

    bumped changelog version

commit 97ea14529835b5e9ca8a2a192fd3738608ab0be5
Merge: d5e7928 338e31c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 24 04:24:46 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit d5e79286b48ba23290cff2174706182b865ac033
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 23 16:54:16 2015 +0000

    bumped changelog version

commit 5f9bdc8e84f3ef4d0896be03d0fc37b47e60b9c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 23 16:53:01 2015 +0000

    systemd unit: removed spaces (as per https://phabricator.whonix.org/T316)

commit 338e31ca182c044a98e045afa2990371265f1610
Merge: a608e24 f5b0f7c
Author: troubadoour <trobador@riseup.net>
Date:   Wed May 20 18:14:38 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit f5b0f7c3b7f02703b6fb2996da6c443a37a1151c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 16:13:20 2015 +0000

    bumped changelog version

commit 6ec7ea23a34af29103ad34199fefaef59f46662e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 16:10:22 2015 +0000

    debian/control: removed dependency on anon-shared-helper-scripts, no longer required, because we're no longer supporting sysvinit

commit 33897fc334760c7ffff00b0843a918393619f0d6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed May 20 16:09:07 2015 +0000

    removed trailing space

commit 22014910d23157a7c766e297384263b9f36b861e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 15 20:26:14 2015 +0000

    bumped changelog version

commit a608e24cf84978b0e9ba43f2b9ddd060b0b6e7fa
Author: troubadoour <trobador@riseup.net>
Date:   Fri May 15 20:11:17 2015 +0000

    import gevent at beginning of script (python-gevent 1.0.1 fix starting event loop on import)
     Please enter the commit message for your changes. Lines starting

commit 11e2cb5fc61a341ec8eff8bbb8086b577e6387b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 23:01:15 2015 +0000

    systemd unit: added 'SuccessExitStatus = 143' so when systemd stopped the service it will consider it terminated with status success rather than failure - https://phabricator.whonix.org/T274

commit 78c0a49b0450152daee1446892d4de1607525e4c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 23:01:03 2015 +0000

    systemd unit file: replaced ExecStartPre touch/mkdir stuff with usr/lib/tmpfiles.d mechanism - https://phabricator.whonix.org/T274

commit 6f6734588381a4129e4209b4bee86ba5e1fe0bdb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 22:52:34 2015 +0000

    systemd unit: removed "ExecStartPre = /usr/lib/anon-shared-helper-scripts/torsocks-remove-ld-preload" - Doesn't work with systemd and also not required. - https://phabricator.whonix.org/T274

commit f211d6074313c789a866981d2cbd470bb1b6684d
Merge: 34d1bc3 133be44
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 14 22:37:41 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 133be441d1d234b51bda1c03f50da2e1b2813f1f
Merge: 9f80d19 34d1bc3
Author: troubadoour <trobador@riseup.net>
Date:   Thu May 14 20:38:53 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit 9f80d19f778a5d6d047b1fe24212905f8b003c28
Author: troubadoour <trobador@riseup.net>
Date:   Thu May 14 20:33:49 2015 +0000

    Type = simple

commit 34d1bc3ab6faa3c4c19f0bedfeaa491abf886490
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 11 11:18:00 2015 +0000

    minor formatting

commit d6c62e9625ae41ceeb1e15f501b0513b1c6c9ca8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 11 11:10:25 2015 +0000

    fixed man page

commit 4d4e4c30bb0862d46f651a09329f9e88f3235489
Merge: 6f9f769 ec16d0d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon May 11 11:09:08 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit ec16d0d4906ecc278a7644c6c48a8df27aa89d48
Author: troubadoour <trobador@riseup.net>
Date:   Sun May 10 20:54:49 2015 +0000

    group /user -> debian-tor. Create pid directory in systemd.

commit 257a133aa04625b1bc2ef2f8ffa08564f8839b2e
Author: troubadoour <trobador@riseup.net>
Date:   Sun May 10 20:44:43 2015 +0000

    man page

commit 6f9f769593b2e083fa9ff29f3afc35496ec7b442
Merge: f8719a3 5a06efa
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 9 15:13:58 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 5a06efa8cad9c23734963740400784b376a8ec82
Author: troubadoour <trobador@riseup.net>
Date:   Fri May 8 20:17:45 2015 +0000

    control-port-filter-python.service comment out user/group debian-tor

commit f0eedc86739fb2524be35fe29fa92dbc30f9e80a
Author: troubadoour <trobador@riseup.net>
Date:   Thu May 7 20:16:17 2015 +0000

    create /var/run/control-port-filter-python directory

commit baf8eaa1bb891343bd6ac6aa5fc51e2f7673f833
Author: troubadoour <trobador@riseup.net>
Date:   Tue May 5 19:13:24 2015 +0000

    copyright

commit 9226b2923034e011a994941d37578e6a93720e3f
Author: troubadoour <trobador@riseup.net>
Date:   Mon May 4 21:19:37 2015 +0000

    stdout stderr > /dev/null

commit f8719a3d403682691e8e68d097dcc4ed07de2700
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 3 22:20:19 2015 +0000

    fixed path lib/systemd/control-port-filter-python.service -> lib/systemd/system/control-port-filter-python.service

commit 0be3fcb5f51f6e66fca399141d031aeca57c234d
Merge: 5c886a6 5683400
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 3 21:31:51 2015 +0000

    Merge remote-tracking branch 'troubadoour/master' into mtest
    
    Conflicts:
            etc/init.d/control-port-filter-python

commit 56834009d345861e381d4316bdabdfe0b8f18ace
Author: troubadoour <trobador@riseup.net>
Date:   Sun May 3 20:49:13 2015 +0000

    debian/control

commit e5a376f03aa80810af0078e4dd5222eba5b36b6f
Author: troubadoour <trobador@riseup.net>
Date:   Sun May 3 19:34:41 2015 +0000

    modify /lib/systemd/control-port-filter-python.service

commit a7875d45b79a600c40ebb1ccfbed05a78c9d80ca
Author: troubadoour <trobador@riseup.net>
Date:   Sun May 3 19:32:04 2015 +0000

    modify /etc/init.d/control-port-filter-python

commit d7d5839ce50b7dc9c3d64cb84b644bda63ef6051
Author: troubadoour <trobador@riseup.net>
Date:   Sun May 3 19:14:01 2015 +0000

    -cpfp.py + cpfpd

commit 5c886a6ab98d4b9bddfb75163b9cc5694fae1f8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 17:56:14 2015 +0000

    bumped changelog version

commit ad063907765453494e18a668dbb6b17e4a9e7a1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 15:09:06 2015 +0000

    added dh-python to build dependencies

commit e4b3099f15786c4e7298cfec743824e624a15f24
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 30 14:47:41 2015 +0000

    ported to systemd

commit 48932339f2f4a1945e69a1d13d27050c285e0131
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 16:54:45 2015 +0000

    packaging, use debhelper with python2 to fix lintian warning

commit 1910037c82be65cc7a1f08235d4097b18d575cc8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 28 13:43:09 2015 +0000

    added debian/source/lintian-overrides with debian-watch-may-check-gpg-signature to fix lintian warning - https://phabricator.whonix.org/T277

commit a2e90c836daa554e4122aa360313009998be0c29
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 27 14:05:25 2015 +0000

    lintian warning copyright fix

commit 309205215a09a10af97eddfb36696a2f8d9c25c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 26 23:15:57 2015 +0000

    packaging, bumped Standards-Version from 3.9.4 to 3.9.6 for jessie support

commit cec0c80a3049ab24e965fbac7a007d147466d1b4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Apr 7 17:41:38 2015 +0000

    bumped changelog version

commit aa7bbc98c063667c96739f9ae70480f175431b78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:41:09 2015 +0000

    added genmkfile to Build-Depends

commit f0e1824365d00c7734b3e50a7a80915d04bf4183
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 17:24:31 2015 +0000

    updated makefile generic to version 1.5

commit d8e1d5711d2a71a9ab638c03e84a0d9b48d7ae48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 16:00:19 2015 +0000

    added systemd service - https://phabricator.whonix.org/T106

commit be292e810ab4f1986135946a79e04d893f3aeab0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 1 16:53:07 2015 +0000

    updated readme

commit 3f971f644c3ca317414e2f94050ee08b7bdf8e24
Merge: 9db1fe1 8201de3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 29 19:03:31 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 8201de3fb0c6fe6902011733f83bcfc0fa240934
Author: troubadoour <trobador@riseup.net>
Date:   Fri Mar 27 21:23:14 2015 +0000

    replace "line.startswith()" with 'k'

commit 98151e803dda34b9c567399c857225baebd6c849
Author: troubadoour <trobador@riseup.net>
Date:   Thu Mar 26 21:43:22 2015 +0000

    remove redundant "k, value = line.split('=')" lines

commit 9db1fe1f99366ed2a316722037af9436cc793449
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:36:25 2015 +0000

    bumped changelog version

commit e69333659107220b898c74333528f505317e21a5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Mar 24 17:26:30 2015 +0000

    updated makefile generic to version 1.4

commit e3a9b78f84f73b7ab4bbe5270aba2faaf939256e
Merge: 7182a6a cc43e06
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Mar 23 21:29:28 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit cc43e0684f41f134241fdf077aaf8daa3a1781a3
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 22 22:27:05 2015 +0000

    missing dot

commit eb11f771e36075999542e7aeadac5140f32e1137
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 22 22:08:39 2015 +0000

    testing typo (line commented)

commit baf9ab9ca537a40421a30babbbb5f749f6af5dab
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 22 16:33:01 2015 +0000

    default configuration if only '~' or 'dpkg' files

commit 2250f3de84697368bdcd3956c84bdb3530f1ed0d
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 22 16:13:49 2015 +0000

    log configuration message only if error (no configuration file or folder)

commit b043238d68b6ac68fd0432563de8024a9adeb789
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 22 15:55:22 2015 +0000

    move global variables in a class

commit 7182a6aee8f72140d47ea0fce2a6b1c2438cc280
Merge: 88ba9fd 8b3e361
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 13 00:21:16 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 8b3e361559887e5f8b89805ffd83a5b9fd79f6eb
Author: troubadoour <trobador@riseup.net>
Date:   Thu Mar 12 20:58:47 2015 +0000

    CONTROL_PORT_FILTER_CONCURRENT_CONNECTIONS_LIMIT (was CONCURRENT_CONNECTIONS_LIMIT)

commit 88ba9fd9d2d31fba61efb61d6e6c19c5cd78bc02
Merge: 0317ed7 ecced26
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Mar 11 21:01:13 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit ecced265b9f4f8cf065dfdb6013989c29b63858e
Author: troubadoour <trobador@riseup.net>
Date:   Wed Mar 11 19:48:58 2015 +0000

    number of parrallel connections as paarmeter

commit 0317ed71742916c2fe8a6b0b86f862fe429bff98
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 8 18:45:53 2015 +0000

    logrotate support - https://phabricator.whonix.org/T227

commit 0db13a5c221367644a1b963206c7ba6160765254
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 8 18:17:26 2015 +0000

    package description

commit cf2abd9a02e48b3e337069baebdf27a6ec6b3dcc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 8 18:13:30 2015 +0000

    licensing: fix path to cpfp.py

commit 6a0c798c299193515a910790ffb13fac97cce182
Merge: 6b01e6b 8c478c7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Mar 8 16:24:07 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 8c478c7fe6985154c20e7505d8dd4d0672888286
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 8 12:02:47 2015 +0000

    comments

commit ca7774cdcf8e1120d36b3f6f78915f6a56abeb13
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 8 11:58:58 2015 +0000

    adjustments for pep8

commit a570197958777431384b377863955cdeafd327f9
Author: troubadoour <trobador@riseup.net>
Date:   Sun Mar 8 10:03:15 2015 +0000

    adjustments for pylint

commit 05d5ed43f71db54634af945b70de9e6feb34b738
Author: troubadoour <trobador@riseup.net>
Date:   Sat Mar 7 22:35:59 2015 +0000

    cleanup

commit e114d9e6a4f9621c2e9198495436a95a432a2d98
Author: troubadoour <trobador@riseup.net>
Date:   Sat Mar 7 22:31:41 2015 +0000

    cleanup, comments

commit a35421cfadace355a288beaa736c73d669e1a414
Author: troubadoour <trobador@riseup.net>
Date:   Sat Mar 7 21:46:13 2015 +0000

    four spaces indentation

commit 6b01e6bd5112375531fe7c848445a871fad9c3c8
Merge: a3411d8 ef69916
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 6 22:47:37 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit ef69916111a4c24780623b0dd6be42c2f88796da
Author: troubadoour <trobador@riseup.net>
Date:   Fri Mar 6 20:33:37 2015 +0000

    gevent signal. cleanup on exiting.

commit a3411d82462a247aee4765074ca650cda33dfa24
Merge: d5439ba 1ced24c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 6 17:17:14 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit 1ced24c78bc83c7502b5fe8be704e1fa78a83f7e
Author: troubadoour <trobador@riseup.net>
Date:   Fri Mar 6 16:52:51 2015 +0000

    dependencies

commit 9447486676f8720e444b330b28dbf2e40d3e5362
Author: troubadoour <trobador@riseup.net>
Date:   Fri Mar 6 16:05:58 2015 +0000

    accept parallel connections

commit 4fd944156a3c7690449b14b805af0c8869ded71f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 23:08:58 2015 +0000

    misc debugging

commit d5439ba0817d2d7ce8b5f8ed9ac694e7cb6d017b
Merge: fdc656e d2d3b95
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 21:53:10 2015 +0000

    Merge remote-tracking branch 'troubadoour/master'

commit d2d3b95e305a902ef79d170c1b5d1f97449f5f19
Author: troubadoour <trobador@riseup.net>
Date:   Thu Mar 5 21:40:10 2015 +0000

    cpfp case insensitive

commit e658a117569a0f49c9d83761c6338437907ee668
Author: troubadoour <trobador@riseup.net>
Date:   Thu Mar 5 21:08:09 2015 +0000

    remove CONTROL_PORT_FILTER_PROXY from control-port-filter-python config file

commit fdc656eea0d1c17b614aa87a4d6937cba2908f2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 20:36:58 2015 +0000

    comment

commit b6f391121ec0992c755d465723866349bfec9826
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 20:36:13 2015 +0000

    shuffle

commit d56136008395956127094e87fb6794f645d7fcc3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 20:35:40 2015 +0000

    config file fixes

commit 64373d2df81bf52e9ddd26dd11f51b62e91b9a9d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Mar 5 20:09:00 2015 +0000

    - bumped debhelper build depends from 8 to 9
    - removed unnecessary dependency on config-package-dev
    - added faketime dependency
    - added dependency python (>= 2.6) to fix lintian warning

commit ceda2b02da46fd899a3200f057593c356f701339
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Feb 16 10:33:42 2015 +0000

    bumped debian/compat version from 8 to 9

commit 22270c574210c67329b60ea3381e9a364e379212
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 10 01:49:41 2015 +0000

    init script: fixed "sudo service control-port-filter-python status"

commit 164812a565dfe3baa18ccf3f4c49895b368d39f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 10 01:24:20 2015 +0000

    debian/control: added "Uploaders: Patrick Schleizer <adrelanos@riseup.net>" to fix lintian warnings "W: control-port-filter-python source: changelog-should-mention-nmu" and "W: control-port-filter-python source: source-nmu-has-incorrect-version-number 3:0.3-1"

commit 8b47bc0f323ca836797223d0480b65fe2a5182ce
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 10 01:18:57 2015 +0000

    debian/control: added "Pre-Depends: tor" so user and group "debian-tor" exist

commit f82cd0873f30808ef42bca1fee973c4f344301b7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 10 01:15:10 2015 +0000

    debian/control: added "Conflicts: control-port-filter" to allow smooth upgrading

commit be78ae7844603ad7fbd39677b16f5b7b434869a4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 10 00:55:30 2015 +0000

    log own pid rather than random unique uid - https://phabricator.whonix.org/T154

commit 455dff33af4abd54f8ea61ada03accd5848ebfa5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Feb 10 00:48:38 2015 +0000

    log when signal sigterm or sigint received and exit

commit 22fa5085008dfab47d94a0bd93d4412474bea40b
Merge: cb3017b 90836de
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:53:33 2015 +0000

    Merge branch 'x'

commit 90836dec08a0eea9232455d7ff9874989a8f042d
Merge: cb3017b bc4373a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:52:30 2015 +0000

    Merge remote-tracking branch 'origin/master' into x
    
    Removed Conflicts:
            man/cpfpy.8.ronn
            usr/bin/cpfpy

commit cb3017ba257aa581ed0ca8e9a0a5db86e5ea4b1c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:41:16 2015 +0000

    added init script and changed log destination

commit 324c0fcc4c3c607afa33ff7dc6b12bc250fcb260
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:23:43 2015 +0000

    moved from usr/lib/cpfp.py to usr/lib/control-port-filter-python/cpfp.py

commit ccb330030c2a6a5b8c59432d4e29a718819a457d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:22:11 2015 +0000

    deleted man/controlportfilt.8.ronn and usr/bin/controlportfilt because no longer necessary for this python version

commit 5c202460057dd6ec7bd8d1260633d4e5ca95b06f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:21:17 2015 +0000

    comments

commit fb43f93b39f08f0483d1a9dbee0c0668cac7aaa1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:14:46 2015 +0000

    added changelog.upstream

commit c4d0e428cc26d62c96eae5bcc33d7e24f9af801c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:14:20 2015 +0000

    added upstream changelog creation to debian/rules

commit d3a51a616d40e07054fe9311a9cb5f772d003318
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Feb 6 23:13:58 2015 +0000

    updated makefile

commit bc4373a904984edb5968aa2ccb3846b87e0a30cb
Author: troubadoour <trobador@riseup.net>
Date:   Sat Jan 10 19:26:43 2015 +0000

    renaming files.

commit 31c8eb1f48eb6edbbff8734695794f51587f6428
Merge: 090c719 f872414
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Jan 10 17:28:19 2015 +0000

    Merge remote-tracking branch 'origin/master'

commit f87241455e90de5cc50c6ea511f17017b5581341
Author: troubadoour <trobador@riseup.net>
Date:   Wed Nov 5 15:36:55 2014 +0000

    "LIMIT_STRING_LENGTH = 65536" when disabled.

commit 9fd0949b83ccee418017acf4237cffb3fd6fe67c
Author: troubadoour <trobador@riseup.net>
Date:   Sat Nov 1 02:01:26 2014 +0000

    missing ##

commit 090c719d8f1ac8b5314ae04d2bd062d4662a0e3b
Author: troubadoour <trobador@riseup.net>
Date:   Fri Oct 31 15:25:02 2014 +0000

    modified configuration variables.
    + CONTROL_PORT_FILTER_DISABLE_FILTERING
    - CONTROL_PORT_FILTER_EXCESSIVE_STRING_LENGTH
    integer instead of boolean in CONTROL_PORT_FILTER_LIMIT_STRING_LENGTH

commit c11e71142810a42e13d1169fdfffbda703e9fff2
Author: troubadoour <trobador@riseup.net>
Date:   Fri Oct 31 15:07:56 2014 +0000

    added LIMIT_STRING_LENGTH
    default 16384
    Set to default if "CONTROL_PORT_FILTER_LIMIT_STRING_LENGTH=-1" (default)

commit 6b708776533b29f7992448b797f8043088c29be1
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 22:34:17 2014 +0000

    logging: "Tor socket does not exist"

commit b194cd476435c4d55d1ebd5d4379efc29b95d1e5
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 21:47:47 2014 +0000

    code cleaning, comments.

commit 9066974810eb029d487818f079d6ae02439942a1
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 20:44:19 2014 +0000

    logging <-- server IOError

commit e0de009c2cdc482021d1c1171369b653fb3cf324
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 19:41:24 2014 +0000

    logging <-- IOError, UnexpectedAnswer

commit ea6a3004897b4cc2c31b25a6edda2c47ce542ce1
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 16:49:24 2014 +0000

    logging <-- Tor socket error.

commit c7071a72f86c6db1a8aef063bf638980cb45a004
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 16:32:54 2014 +0000

    commented "print" statements.

commit fe98a03ce1af485d62570d3599b5d0283a21d7f9
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 16:13:32 2014 +0000

    logging <-- configuration

commit 36e629297e62bed9d40c2c0545d79511a83061ce
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 13:05:53 2014 +0000

    cleaning: indent spaces

commit e700b521f5b22352a7e01764d0b6eb3e6e1d0b2f
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 09:11:54 2014 +0000

    added 'QUIT' to white list.

commit 0987192700741b40e7abf87ad81e365bb8ff61bd
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 27 09:09:11 2014 +0000

    logging: initial implementation

commit 6aad38eab9a05a07a8923588a3974e6e37fe284f
Author: troubadoour <trobador@riseup.net>
Date:   Sun Oct 26 09:05:27 2014 +0000

    Added UUID

commit a7e6c6f8606df0eb6082b52cfe22c854d9226666
Author: troubadoour <trobador@riseup.net>
Date:   Sun Oct 26 08:45:10 2014 +0000

    Commented answer check in do_request_real() function.

commit 5de97365826583094d52c59ffdb96955506a4913
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 14:44:27 2014 +0000

    comment: let's refer to cpfp-bash rather than cpfp-tcpserver

commit ab9a0c8eb9e7f445ce4c5e32f719df1ce86bd763
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 25 14:43:51 2014 +0000

    comment indentation

commit 415ca986fb665774ce02b3eeb2cc7c2a71b1c06f
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 25 08:33:57 2014 +0000

    New line at end of file

commit 05bf0c1dca0d55934957ef9a42e069ae538f703d
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 25 07:43:57 2014 +0000

    Indentation with two spaces, no tab.

commit a3aadd9cc3858bff04c5139b29bcea41eaa5e1bc
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 25 07:15:46 2014 +0000

    Code cleaning. Removed commented lines.

commit d6e4f5a75410f937565f1caf40dff24d97de5997
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 25 07:08:33 2014 +0000

    Removed CONTROL_PORT_FILTER_LIMIT_STRING_LENGTH, CONTROL_PORT_FILTER_EXCESSIVE_STRING_LENGTH

commit 26330a7e831b865d44e8156627afd4d824dbc190
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 25 06:53:35 2014 +0000

    Code cleaning. Removed commented lines.

commit 108b50cd23ae05673052dc1952b58c0012578b9e
Author: troubadoour <trobador@riseup.net>
Date:   Thu Oct 23 15:11:23 2014 +0000

    Max line size 16384 in "sock.recv(16384)".
    commented check_answer() funcrion.

commit 424459ac058fa74df9c6d7acd1d0b1e0a485c2c2
Author: troubadoour <trobador@riseup.net>
Date:   Thu Oct 23 11:18:47 2014 +0000

    Put back AUTHENTICATE in TCP handler
    Required by Tor Browser

commit 349184dbd6cc1d92bb462aad9959fc57fe64b374
Author: troubadoour <trobador@riseup.net>
Date:   Wed Oct 22 20:34:58 2014 +0000

    Removed fake AUTHENTICATE in TCP handler (returning "250 OK"). Real authentication is written to the real socket.
    Removed "QUIT" catching, as it would return without closing Tor control port socket.

commit 1358a3709c3f9afdc7d788cf38a9483bbf90bd67
Author: troubadoour <trobador@riseup.net>
Date:   Tue Oct 21 22:35:22 2014 +0000

    Transparent mode CONTROL_PORT_FILTER_DISABLE_FILTERING=[true/false]
    sock.recv() instead of .readline

commit 2174f9e6cad40fb55867bb0fe545372ec0cc32d5
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 18 18:17:38 2014 +0000

    Moved the "lie" in front of "with open(AUTH_COOKIE, "rb") as f:" block.
    The socket was not closed after "net/listeners/socks" request.

commit 1ddf5df96e7879ae7b6b839cecf4f6a744dc8540
Author: troubadoour <trobador@riseup.net>
Date:   Fri Oct 17 19:54:22 2014 +0000

    Default hardcoded configuration

commit 4deb3d30a1eb208480cedaca333ee815ad24500e
Author: troubadoour <trobador@riseup.net>
Date:   Thu Oct 16 19:18:13 2014 +0000

    Replaced TCP socket with TCP server on the server side.
    CPFP handles parallel connections.

commit 6792958e1c7e47b8e87d4566a41aeff6c1e56a4d
Author: troubadoour <trobador@riseup.net>
Date:   Mon Oct 13 19:38:32 2014 +0000

    request.startswith() instead of first_word

commit fd834938d754dbc7f1ae655283836f17acb8988a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Oct 7 20:42:20 2014 +0000

    readme

commit 2e74b59526ab3a5cc116fd6c5291534585f8f049
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 4 23:22:56 2014 +0000

    packaging

commit 6d53c469a7ed8c4e06363d42f8b16140be9b08da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 4 22:55:09 2014 +0000

    made control port socket and control port auth cookie configurable

commit 23b8439556320d790611f2bb46f92671889216c0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 4 22:47:14 2014 +0000

    output

commit ea822cc5d680b517830f570ce454682707f7dfd1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 4 22:44:54 2014 +0000

    don't require hard coded "AUTHENTICATE password", accept anything for password

commit 9956b8f1a4772130320c6733bf1c499bfe55dd13
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 4 21:50:30 2014 +0000

    remove duplicates in WHITELIST

commit 17b32f663dd28ada6efca5b5001f656d506ec42f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 4 21:00:36 2014 +0000

    made IP and PORT configurable

commit 075122da65482f090793b4f2364a0f6b520cf7d9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 4 20:40:21 2014 +0000

    typo

commit 097dc0bc02c08479224014c7990d07f69431e470
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 4 20:39:01 2014 +0000

    minor comment

commit 210a6f53f92af586f7d182f77a5f309dc65b52a3
Author: troubadoour <trobador@riseup.net>
Date:   Sat Oct 4 19:10:45 2014 +0000

    CONTROL_PORT_FILTER_WHITELIST extensible
    removed some testing lines

commit d78ba785f0221e09abcb20578a4aa7fd12eb74e9
Author: troubadoour <trobador@riseup.net>
Date:   Fri Oct 3 19:51:30 2014 +0000

    rename controlportfilt.d to cpfpy.d

commit 20e904e1014ea57a08c50882fa42d5b37621ca4e
Author: troubadoour <trobador@riseup.net>
Date:   Fri Oct 3 18:29:44 2014 +0000

    sort files in /etc/controlportfilt.d

commit cc03815740ab6d2a6d94178696f9f751a873f369
Author: troubadoour <trobador@riseup.net>
Date:   Fri Oct 3 18:26:43 2014 +0000

    copyright

commit b1d60ff54e84cede66769a7c8dbf681a654e1e80
Author: troubadoour <trobador@riseup.net>
Date:   Fri Oct 3 18:07:11 2014 +0000

    leading spaces

commit 03ef280ff315421b36074d492ef80f5d00d69de2
Author: troubadoour <trobador@riseup.net>
Date:   Thu Oct 2 21:45:04 2014 +0000

    parse /etc/controlportfilt.d/ in cpfp.py
    parsing the configuration strings, not trying to get them from the environment

commit df2d3a0dab90b2db803fcdae35eb8c5976a929e8
Author: troubadoour <trobador@riseup.net>
Date:   Thu Oct 2 21:40:45 2014 +0000

    Commented out bash source for /etc/controlportfilt.d/

commit 6bb1b6055c56db286d84ba6231fc314a7bb98453
Author: troubadoour <trobador@riseup.net>
Date:   Thu Oct 2 21:36:52 2014 +0000

    New syntax
    whitelist in one line, removed quotes...

commit e836957b92dc0c61d34ee08d647cbd4e15e8fb35
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Sep 30 00:48:12 2014 +0000

    typo

commit 51378a949cf6bdddf400913ad46b986e1ffedbac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 29 23:12:10 2014 +0000

    fixed copyright

commit f39e957abc1b638eb30de5ba08b8ab4edb53938c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 29 23:06:21 2014 +0000

    fixed debian/changelog

commit a7a9b1e9142379d50d8637f593dc2e7a3dc4ccb1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 29 23:04:44 2014 +0000

    fixed debian/rules

commit 00ef721e6bedd30b186b91e8d29ce7053db4cea7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 29 23:03:04 2014 +0000

    fixed debian/changelog

commit 1401feb8eb9020e0b9087ee108b758528fd54586
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Sep 29 23:00:32 2014 +0000

    fixed new lines and leading spaces

commit 67d9f9aefe45c216afc849aaafff5cdc404d8429
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 19:02:18 2014 +0000

    debian/control

commit 287fa160ec7eee9db9f67fc2cb7350e15d15faab
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 15:48:27 2014 +0000

    README  debian/control

commit ef5feb6131eb3b11ff9b88524f4ae0205ffcd2eb
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 13:41:06 2014 +0000

    debian/control

commit 05717af28a16d3175d611467a2484a47a09d3a5d
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 13:23:37 2014 +0000

    .gitattributes

commit fbbe682789a5f2570c25f70d3abdff3935481f6a
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 13:17:41 2014 +0000

    man page

commit adb6bf96e3ff62c21a2b98c61aa377ec83ac4485
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 12:45:27 2014 +0000

    debian/control

commit a2b1328b0a05bc8b36674400402358800fab07a5
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 12:09:54 2014 +0000

    debian/control

commit 33c57331ffc2cc83b697b73530046708dfe54932
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 11:59:46 2014 +0000

    debian/control

commit 86f005f4659b6e75a475db9886106a4b8eee15cf
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 11:48:33 2014 +0000

    debian/control

commit f5fa24a2ebf7ff37f346d60b546126c5475fc34a
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 11:41:29 2014 +0000

    debian/control

commit 63664e01e7ca9828617f993d403519f6b29cf3eb
Author: troubadoour <trobador@riseup.net>
Date:   Sat Sep 27 11:36:57 2014 +0000

    initial release
